import 'package:fis_i18n/types.dart';

/// 认证模块
class AuthModule extends ModuleBase {
  AuthModule._({
    required this.pleaseSetHospital,
    required this.pleaseSetHospitalCode,
    required this.pleaseSetHospitalCodeFirst,
    required this.hospitalCode,
    required this.saving,
    required this.emptyReportShareAddress,
    required this.enterEmail,
    required this.enterValidEmail,
    required this.scanCorrectQRCode,
    required this.autoLogin,
    required this.scanQRCodeLogin,
    required this.useFlyinsonoMobileScan,
    required this.login,
    required this.login4Btn,
    required this.signUp,
    required this.signUp4Btn,
    required this.account,
    required this.password,
    required this.keepPwd,
    required this.resetPwd,
    required this.forgotPwd,
    required this.tabOfLoginByAccountPwd,
    required this.tabOfLoginByVerificationCode,
    required this.hint4AccountDouble,
    required this.hint4AccountTriple,
    required this.hint4ConfirmPwd,
    required this.hint4Pwd,
    required this.hint4VerificationCode,
    required this.agreeStatement,
    required this.privacyPolicy,
    required this.userAgreement,
    required this.privacyPolicy2,
    required this.userAgreement2,
    required this.sendVerificationCode,
    required this.sendingVerificationCode,
    required this.resendVerificationCode,
    required this.sendVerificationCodeTimer,
    required this.signOut,
    required this.back4Login,
    required this.toast4AgreeStatement,
    required this.toast4AccountPwdError,
    required this.toast4AccountNotExist,
    required this.toast4AccountHasExist,
    required this.toast4AccountDouble,
    required this.toast4AccountTriple,
    required this.toast4VerifyCodeOverdue,
    required this.toast4VerifyCodeError,
    required this.toast4LoginFail,
    required this.toast4LoginSuccess,
    required this.toast4SignUpFail,
    required this.toast4SignUpSuccess,
    required this.toast4ResetFail,
    required this.toast4ResetSuccess,
    required this.toast4VerifyCodeSendFail,
    required this.toast4VerifyCodeSendSuccess,
    required this.toast4ConfirmPwdMatchError,
    required this.toast4PwdBlankError,
    required this.toast4PwdLengthError,
    required this.toast4PwdCharCombinError,
    required this.toast4AccountFormatError,
    required this.otherLoginWay,
    required this.logining,
    required this.switching,
    required this.switchFailed,
    required this.networkSetting,
    required this.unauthorized,
    required this.authExpired,
    required this.remainingTimes,
    required this.theCurrentPasswordHasExpired,
    required this.switchAccountOrResetPassword,
    required this.switchAccount,
    required this.confirmEnterOrResetPassword,
    required this.confirmEnter,
    required this.resetPassword,
    required this.tokenReplacedTips,
    required this.toast4LoginFailNetworkIssues,
    required this.toast4SignUpFailNetworkIssues,
    required this.protocol,
    required this.selectServer,
  });

  static const ModuleName = "auth";

  factory AuthModule(Map<String, dynamic> map) {
    return AuthModule._(
      pleaseSetHospital: map.pick("pleaseSetHospital"),
      pleaseSetHospitalCode: map.pick("pleaseSetHospitalCode"),
      pleaseSetHospitalCodeFirst: map.pick("pleaseSetHospitalCodeFirst"),
      hospitalCode: map.pick("hospitalCode"),
      saving: map.pick("saving"),
      emptyReportShareAddress: map.pick("emptyReportShareAddress"),
      enterEmail: map.pick("enterEmail"),
      enterValidEmail: map.pick("enterValidEmail"),
      scanCorrectQRCode: map.pick("scanCorrectQRCode"),
      autoLogin: map.pick("autoLogin"),
      scanQRCodeLogin: map.pick("scanQRCodeLogin"),
      useFlyinsonoMobileScan: map.pick("useFlyinsonoMobileScan"),
      login: map.pick("login"),
      login4Btn: map.pick("login4Btn"),
      signUp: map.pick("signUp"),
      signUp4Btn: map.pick("signUp4Btn"),
      account: map.pick("account"),
      password: map.pick("password"),
      keepPwd: map.pick("keepPwd"),
      resetPwd: map.pick("resetPwd"),
      forgotPwd: map.pick("forgotPwd"),
      tabOfLoginByAccountPwd: map.pick("tabOfLoginByAccountPwd"),
      tabOfLoginByVerificationCode: map.pick("tabOfLoginByVerificationCode"),
      hint4AccountDouble: map.pick("hint4AccountDouble"),
      hint4AccountTriple: map.pick("hint4AccountTriple"),
      hint4ConfirmPwd: map.pick("hint4ConfirmPwd"),
      hint4Pwd: map.pick("hint4Pwd"),
      hint4VerificationCode: map.pick("hint4VerificationCode"),
      agreeStatement: map.pick("agreeStatement"),
      privacyPolicy: map.pick("privacyPolicy"),
      userAgreement: map.pick("userAgreement"),
      privacyPolicy2: map.pick("privacyPolicy2"),
      userAgreement2: map.pick("userAgreement2"),
      sendVerificationCode: map.pick("sendVerificationCode"),
      sendingVerificationCode: map.pick("sendingVerificationCode"),
      resendVerificationCode: map.pick("resendVerificationCode"),
      sendVerificationCodeTimer: map.pick("sendVerificationCodeTimer"),
      signOut: map.pick("signOut"),
      back4Login: map.pick("back4Login"),
      toast4AgreeStatement: map.pick("toast4AgreeStatement"),
      toast4AccountPwdError: map.pick("toast4AccountPwdError"),
      toast4AccountNotExist: map.pick("toast4AccountNotExist"),
      toast4AccountHasExist: map.pick("toast4AccountHasExist"),
      toast4AccountDouble: map.pick("toast4AccountDouble"),
      toast4AccountTriple: map.pick("toast4AccountTriple"),
      toast4VerifyCodeOverdue: map.pick("toast4VerifyCodeOverdue"),
      toast4VerifyCodeError: map.pick("toast4VerifyCodeError"),
      toast4LoginFail: map.pick("toast4LoginFail"),
      toast4LoginSuccess: map.pick("toast4LoginSuccess"),
      toast4SignUpFail: map.pick("toast4SignUpFail"),
      toast4SignUpSuccess: map.pick("toast4SignUpSuccess"),
      toast4ResetFail: map.pick("toast4ResetFail"),
      toast4ResetSuccess: map.pick("toast4ResetSuccess"),
      toast4VerifyCodeSendFail: map.pick("toast4VerifyCodeSendFail"),
      toast4VerifyCodeSendSuccess: map.pick("toast4VerifyCodeSendSuccess"),
      toast4ConfirmPwdMatchError: map.pick("toast4ConfirmPwdMatchError"),
      toast4PwdBlankError: map.pick("toast4PwdBlankError"),
      toast4PwdLengthError: map.pick("toast4PwdLengthError"),
      toast4PwdCharCombinError: map.pick("toast4PwdCharCombinError"),
      toast4AccountFormatError: map.pick("toast4AccountFormatError"),
      otherLoginWay: map.pick("otherLoginWay"),
      logining: map.pick("logining"),
      switching: map.pick("switching"),
      switchFailed: map.pick("switchFailed"),
      networkSetting: map.pick("networkSetting"),
      unauthorized: map.pick("unauthorized"),
      authExpired: map.pick("authExpired"),
      remainingTimes: map.pick("remainingTimes"),
      theCurrentPasswordHasExpired: map.pick("theCurrentPasswordHasExpired"),
      switchAccountOrResetPassword: map.pick("switchAccountOrResetPassword"),
      switchAccount: map.pick("switchAccount"),
      confirmEnterOrResetPassword: map.pick("confirmEnterOrResetPassword"),
      confirmEnter: map.pick("confirmEnter"),
      resetPassword: map.pick("resetPassword"),
      tokenReplacedTips: map.pick("tokenReplacedTips"),
      toast4LoginFailNetworkIssues: map.pick("toast4LoginFailNetworkIssues"),
      toast4SignUpFailNetworkIssues: map.pick("toast4SignUpFailNetworkIssues"),
      protocol: map.pick("protocol"),
      selectServer: map.pick("selectServer"),
    );
  }

  /// 请完善医院信息
  final FTrStr pleaseSetHospital;

  /// 请输入医院短码设置医院
  final FTrStr pleaseSetHospitalCode;

  /// 请先设置医院短码!
  final FTrStr pleaseSetHospitalCodeFirst;

  /// 医院短码
  final FTrStr hospitalCode;

  /// 保存中
  final FTrStr saving;

  /// 报告分享地址为空
  final FTrStr emptyReportShareAddress;

  /// 请输入邮箱
  final FTrStr enterEmail;

  /// 请输入正确的邮箱
  final FTrStr enterValidEmail;

  /// 请扫描正确的二维码
  final FTrStr scanCorrectQRCode;

  /// 自动登录
  final FTrStr autoLogin;

  /// 扫码登录
  final FTrStr scanQRCodeLogin;

  /// 请使用杏聆荟移动端扫描二维码
  final FTrStr useFlyinsonoMobileScan;

  /// 登录
  final FTrStr login;

  /// 登 录
  final FTrStr login4Btn;

  /// 注册
  final FTrStr signUp;

  /// 注 册
  final FTrStr signUp4Btn;

  /// 账号
  final FTrStr account;

  /// 密码
  final FTrStr password;

  /// 记住密码
  final FTrStr keepPwd;

  /// 重 置
  final FTrStr resetPwd;

  /// 忘记密码
  final FTrStr forgotPwd;

  /// 账号密码登录
  final FTrStr tabOfLoginByAccountPwd;

  /// 验证码登录
  final FTrStr tabOfLoginByVerificationCode;

  /// 请输入手机号或邮箱
  final FTrStr hint4AccountDouble;

  /// 请输入手机号、邮箱或用户名
  final FTrStr hint4AccountTriple;

  /// 请确认密码
  final FTrStr hint4ConfirmPwd;

  /// 请输入密码
  final FTrStr hint4Pwd;

  /// 请输入验证码
  final FTrStr hint4VerificationCode;

  /// 我已阅读并同意
  final FTrStr agreeStatement;

  /// 《隐私协议》
  final FTrStr privacyPolicy;

  /// 《用户使用协议》
  final FTrStr userAgreement;

  /// 隐私协议
  final FTrStr privacyPolicy2;

  /// 用户使用协议
  final FTrStr userAgreement2;

  /// 发送验证码
  final FTrStr sendVerificationCode;

  /// 正在发送验证码...
  final FTrStr sendingVerificationCode;

  /// 重新发送
  final FTrStr resendVerificationCode;

  /// 倒计时{0}S
  final FTrStr sendVerificationCodeTimer;

  /// 退出登录
  final FTrStr signOut;

  /// 返回登录
  final FTrStr back4Login;

  /// 请阅读并同意《用户使用协议》和《隐私协议》
  final FTrStr toast4AgreeStatement;

  /// 用户名或密码错误
  final FTrStr toast4AccountPwdError;

  /// 此账号不存在
  final FTrStr toast4AccountNotExist;

  /// 此账号已存在
  final FTrStr toast4AccountHasExist;

  /// 请输入正确的手机号或邮箱
  final FTrStr toast4AccountDouble;

  /// 请输入正确的手机号、邮箱或用户名
  final FTrStr toast4AccountTriple;

  /// 验证码已过期
  final FTrStr toast4VerifyCodeOverdue;

  /// 验证码错误
  final FTrStr toast4VerifyCodeError;

  /// 登录失败
  final FTrStr toast4LoginFail;

  /// 登录成功
  final FTrStr toast4LoginSuccess;

  /// 注册失败
  final FTrStr toast4SignUpFail;

  /// 注册成功
  final FTrStr toast4SignUpSuccess;

  /// 重置失败
  final FTrStr toast4ResetFail;

  /// 重置成功
  final FTrStr toast4ResetSuccess;

  /// 验证码发送失败
  final FTrStr toast4VerifyCodeSendFail;

  /// 验证码已发送
  final FTrStr toast4VerifyCodeSendSuccess;

  /// 两次密码输入保持一致
  final FTrStr toast4ConfirmPwdMatchError;

  /// 密码不能包含空格
  final FTrStr toast4PwdBlankError;

  /// 密码限制长度为6-20位字符
  final FTrStr toast4PwdLengthError;

  /// 密码必须包含数字、字母、符号中至少2种
  final FTrStr toast4PwdCharCombinError;

  /// 用户名注册时，限制2~20位字符
  final FTrStr toast4AccountFormatError;

  /// 其他登录方式
  final FTrStr otherLoginWay;

  /// 正在登录...
  final FTrStr logining;

  /// 正在切换...
  final FTrStr switching;

  /// 切换失败
  final FTrStr switchFailed;

  /// 网络设置
  final FTrStr networkSetting;

  /// 无权访问此页面
  final FTrStr unauthorized;

  /// 登录过期，请重新登录
  final FTrStr authExpired;

  /// 密码错误，剩余重试次数：{0}次
  final FTrStr remainingTimes;

  /// 当前密码已失效
  final FTrStr theCurrentPasswordHasExpired;

  /// 请选择切换账号或者重设密码
  final FTrStr switchAccountOrResetPassword;

  /// 切换账号
  final FTrStr switchAccount;

  /// 请选择确定进入或者重设密码
  final FTrStr confirmEnterOrResetPassword;

  /// 确定进入
  final FTrStr confirmEnter;

  /// 重设密码
  final FTrStr resetPassword;

  /// 你的账号已在其他设备登录
  final FTrStr tokenReplacedTips;

  /// 登录失败,请检查网络状况
  final FTrStr toast4LoginFailNetworkIssues;

  /// 注册失败，请检查网络状况
  final FTrStr toast4SignUpFailNetworkIssues;

  /// 协议：
  final FTrStr protocol;

  /// 选择服务器:
  final FTrStr selectServer;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
