import 'package:fis_i18n/types.dart';

/// 日历模块
class CalendarModule extends ModuleBase {
  CalendarModule._({
    required this.calendarView,
    required this.searchSchedule,
    required this.calendarSetting,
    required this.todoPlaceholder,
    required this.singleToday,
    required this.today,
    required this.singleMonday,
    required this.singleTuesday,
    required this.singleWednesday,
    required this.singleThursday,
    required this.singleFriday,
    required this.singleSaturday,
    required this.singleSunday,
    required this.monday,
    required this.tuesday,
    required this.wednesday,
    required this.thursday,
    required this.friday,
    required this.saturday,
    required this.sunday,
    required this.yearAndMonth,
    required this.monthAndDayFormat,
    required this.allDay,
    required this.month,
    required this.week,
    required this.day,
    required this.moreItems,
    required this.day4Duration,
    required this.hour4Duration,
    required this.minute4Duration,
    required this.second4Duration,
  });

  static const ModuleName = "calendar";

  factory CalendarModule(Map<String, dynamic> map) {
    return CalendarModule._(
      calendarView: map.pick("calendarView"),
      searchSchedule: map.pick("searchSchedule"),
      calendarSetting: map.pick("calendarSetting"),
      todoPlaceholder: map.pick("todoPlaceholder"),
      singleToday: map.pick("singleToday"),
      today: map.pick("today"),
      singleMonday: map.pick("singleMonday"),
      singleTuesday: map.pick("singleTuesday"),
      singleWednesday: map.pick("singleWednesday"),
      singleThursday: map.pick("singleThursday"),
      singleFriday: map.pick("singleFriday"),
      singleSaturday: map.pick("singleSaturday"),
      singleSunday: map.pick("singleSunday"),
      monday: map.pick("monday"),
      tuesday: map.pick("tuesday"),
      wednesday: map.pick("wednesday"),
      thursday: map.pick("thursday"),
      friday: map.pick("friday"),
      saturday: map.pick("saturday"),
      sunday: map.pick("sunday"),
      yearAndMonth: map.pick("yearAndMonth"),
      monthAndDayFormat: map.pick("monthAndDayFormat"),
      allDay: map.pick("allDay"),
      month: map.pick("month"),
      week: map.pick("week"),
      day: map.pick("day"),
      moreItems: map.pick("moreItems"),
      day4Duration: map.pick("day4Duration"),
      hour4Duration: map.pick("hour4Duration"),
      minute4Duration: map.pick("minute4Duration"),
      second4Duration: map.pick("second4Duration"),
    );
  }

  /// 日历视图
  final FTrStr calendarView;

  /// 搜索日程
  final FTrStr searchSchedule;

  /// 日历设置
  final FTrStr calendarSetting;

  /// 前方正在施工
  final FTrStr todoPlaceholder;

  /// 今
  final FTrStr singleToday;

  /// 今天
  final FTrStr today;

  /// 一
  final FTrStr singleMonday;

  /// 二
  final FTrStr singleTuesday;

  /// 三
  final FTrStr singleWednesday;

  /// 四
  final FTrStr singleThursday;

  /// 五
  final FTrStr singleFriday;

  /// 六
  final FTrStr singleSaturday;

  /// 日
  final FTrStr singleSunday;

  /// 周一
  final FTrStr monday;

  /// 周二
  final FTrStr tuesday;

  /// 周三
  final FTrStr wednesday;

  /// 周四
  final FTrStr thursday;

  /// 周五
  final FTrStr friday;

  /// 周六
  final FTrStr saturday;

  /// 周日
  final FTrStr sunday;

  /// {0}年{1}月
  final FTrStr yearAndMonth;

  /// MM月dd日
  final FTrStr monthAndDayFormat;

  /// 全天
  final FTrStr allDay;

  /// 月
  final FTrStr month;

  /// 周
  final FTrStr week;

  /// 日
  final FTrStr day;

  /// 还有{0}项
  final FTrStr moreItems;

  /// 天
  final FTrStr day4Duration;

  /// 小时
  final FTrStr hour4Duration;

  /// 分钟
  final FTrStr minute4Duration;

  /// 秒
  final FTrStr second4Duration;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
