import 'package:fis_i18n/types.dart';

/// 杏聆荟学院模块
class College extends ModuleBase {
  College._({
    required this.materialDetail,
    required this.fileName,
    required this.sharing,
    required this.desktopShare,
    required this.collapse,
    required this.expand,
    required this.loadMore,
    required this.selectHospital,
    required this.authenticationNeeded,
    required this.retry,
    required this.myCourses,
    required this.myClasses,
    required this.liveCourse,
    required this.recommended,
    required this.screening,
    required this.emergency,
    required this.academicSummit,
    required this.anesthesiaPain,
    required this.neurosonography,
    required this.other,
    required this.courseAlbum,
    required this.popularCourses,
    required this.liveCourses,
    required this.thirdPartyCourses,
    required this.pastureMutualLearning,
    required this.desktopSharing,
    required this.ultrasoundSharing,
    required this.paintBrushTool,
    required this.styleSetting,
    required this.volume,
    required this.share,
    required this.generatePlayback,
    required this.exitLive,
    required this.interactionArea,
    required this.teacherHello,
    required this.learningOnBusinessTrip,
    required this.helloClassmates,
    required this.notLateRight,
    required this.enterMessageToSend,
    required this.question1,
    required this.question1OptionA,
    required this.question1OptionB,
    required this.question1OptionC,
    required this.question2,
    required this.question2OptionA,
    required this.question2OptionB,
    required this.question2OptionC,
    required this.question3,
    required this.question3OptionA,
    required this.question3OptionB,
    required this.question3OptionC,
    required this.question4_title,
    required this.question4_optionA,
    required this.question4_optionB,
    required this.question4_optionC,
    required this.question5_title,
    required this.question5_promptA,
    required this.question5_promptB,
    required this.question5_promptC,
    required this.test_paper_title,
    required this.test_paper_intro,
    required this.test_time_countdown,
    required this.question_card_title,
    required this.question_card_single_choice,
    required this.question_card_multi_choice,
    required this.question_card_fill_in_blanks,
    required this.question_card_short_answer,
    required this.question_total,
    required this.question_done,
    required this.earlyObstetricScreeningAlbumPart1,
    required this.earlyObstetricScreeningAlbumPart2,
    required this.echocardiographyAlbumPart1,
    required this.echocardiographyAlbumPart2,
    required this.echocardiogram,
    required this.ultrasoundNeurosciencesAlbum,
    required this.neurology,
    required this.emergencyDepartment,
    required this.emergencyCriticalCareAlbumPart1,
    required this.emergencyCriticalCareAlbumPart2,
    required this.emergencyCriticalCareAlbumPart3,
    required this.softTissueAlbum,
    required this.softTissueUltrasoundAlbum,
    required this.neckAlbum,
    required this.neckUltrasoundAlbum,
    required this.liverPunctureGuidedByUltrasoundAlbum,
    required this.memoryTrackingContrastEnhancedTechnique,
    required this.mMode,
    required this.anatomicalMMode,
    required this.colorMMode,
    required this.vocalVolumeCalculationAlgorithm,
    required this.xmiRemoteConnectionInstruction,
    required this.amasAutomaticMeasurementOfArterialStiffnessInWholeBody,
    required this.subscribe,
    required this.replay,
    required this.liveOngoing,
    required this.notStarted,
    required this.myLibrary,
    required this.uploadMaterial,
    required this.addStudent,
    required this.addTeacher,
    required this.searchUser,
    required this.applyForReview,
    required this.teacherRole,
    required this.studentRole,
    required this.createClass,
    required this.joinClass,
    required this.assignCourse,
    required this.distributeExam,
    required this.distributeExercise,
    required this.exercise,
    required this.exam,
    required this.quitClass,
    required this.className,
    required this.relatedCourse,
    required this.completedExercise,
    required this.participatedExam,
    required this.serialNumber,
    required this.classCode,
    required this.numberOfStudents,
    required this.bindCourse,
    required this.bindExam,
    required this.bindExercise,
    required this.viewStudent,
    required this.networkSettings,
    required this.runLog,
    required this.downloadProgress,
    required this.downloadSuccess,
    required this.teacherOnlyPC,
    required this.startCourse,
    required this.enterCourse,
    required this.uploadProgress,
    required this.noAvailableDevice,
    required this.selectLiveContent,
    required this.stopSharing,
    required this.selectDevice,
    required this.teacherAway,
    required this.notJoined,
    required this.camera,
    required this.computerDesktopUltrasound,
    required this.courseURL,
    required this.printTestPage,
    required this.courseNotStreaming,
    required this.exitClassSuccess,
    required this.exitClassFailed,
    required this.createClassSuccess,
    required this.createClassFailed,
    required this.applyJoinClassSuccess,
    required this.applyJoinClassFailed,
    required this.applyAgreeFailed,
    required this.pastVideo,
    required this.videoDetail,
    required this.videoDescription,
    required this.videoCreateTime,
    required this.noMoreData,
    required this.searchCourses,
    required this.pinned,
    required this.starRating,
    required this.defaultSavePath,
    required this.recordSettings,
    required this.recordFileStorageDir,
    required this.openStorageDir,
    required this.selectStorageDir,
  });

  static const ModuleName = "college";

  factory College(Map<String, dynamic> map) {
    return College._(
      materialDetail: map.pick("materialDetail"),
      fileName: map.pick("fileName"),
      sharing: map.pick("sharing"),
      desktopShare: map.pick("desktopShare"),
      collapse: map.pick("collapse"),
      expand: map.pick("expand"),
      loadMore: map.pick("loadMore"),
      selectHospital: map.pick("selectHospital"),
      authenticationNeeded: map.pick("authenticationNeeded"),
      retry: map.pick("retry"),
      myCourses: map.pick("myCourses"),
      myClasses: map.pick("myClasses"),
      liveCourse: map.pick("liveCourse"),
      recommended: map.pick("recommended"),
      screening: map.pick("screening"),
      emergency: map.pick("emergency"),
      academicSummit: map.pick("academicSummit"),
      anesthesiaPain: map.pick("anesthesiaPain"),
      neurosonography: map.pick("neurosonography"),
      other: map.pick("other"),
      courseAlbum: map.pick("courseAlbum"),
      popularCourses: map.pick("popularCourses"),
      liveCourses: map.pick("liveCourses"),
      thirdPartyCourses: map.pick("thirdPartyCourses"),
      pastureMutualLearning: map.pick("pastureMutualLearning"),
      desktopSharing: map.pick("desktopSharing"),
      ultrasoundSharing: map.pick("ultrasoundSharing"),
      paintBrushTool: map.pick("paintBrushTool"),
      styleSetting: map.pick("styleSetting"),
      volume: map.pick("volume"),
      share: map.pick("share"),
      generatePlayback: map.pick("generatePlayback"),
      exitLive: map.pick("exitLive"),
      interactionArea: map.pick("interactionArea"),
      teacherHello: map.pick("teacherHello"),
      learningOnBusinessTrip: map.pick("learningOnBusinessTrip"),
      helloClassmates: map.pick("helloClassmates"),
      notLateRight: map.pick("notLateRight"),
      enterMessageToSend: map.pick("enterMessageToSend"),
      question1: map.pick("question1"),
      question1OptionA: map.pick("question1OptionA"),
      question1OptionB: map.pick("question1OptionB"),
      question1OptionC: map.pick("question1OptionC"),
      question2: map.pick("question2"),
      question2OptionA: map.pick("question2OptionA"),
      question2OptionB: map.pick("question2OptionB"),
      question2OptionC: map.pick("question2OptionC"),
      question3: map.pick("question3"),
      question3OptionA: map.pick("question3OptionA"),
      question3OptionB: map.pick("question3OptionB"),
      question3OptionC: map.pick("question3OptionC"),
      question4_title: map.pick("question4_title"),
      question4_optionA: map.pick("question4_optionA"),
      question4_optionB: map.pick("question4_optionB"),
      question4_optionC: map.pick("question4_optionC"),
      question5_title: map.pick("question5_title"),
      question5_promptA: map.pick("question5_promptA"),
      question5_promptB: map.pick("question5_promptB"),
      question5_promptC: map.pick("question5_promptC"),
      test_paper_title: map.pick("test_paper_title"),
      test_paper_intro: map.pick("test_paper_intro"),
      test_time_countdown: map.pick("test_time_countdown"),
      question_card_title: map.pick("question_card_title"),
      question_card_single_choice: map.pick("question_card_single_choice"),
      question_card_multi_choice: map.pick("question_card_multi_choice"),
      question_card_fill_in_blanks: map.pick("question_card_fill_in_blanks"),
      question_card_short_answer: map.pick("question_card_short_answer"),
      question_total: map.pick("question_total"),
      question_done: map.pick("question_done"),
      earlyObstetricScreeningAlbumPart1:
          map.pick("earlyObstetricScreeningAlbumPart1"),
      earlyObstetricScreeningAlbumPart2:
          map.pick("earlyObstetricScreeningAlbumPart2"),
      echocardiographyAlbumPart1: map.pick("echocardiographyAlbumPart1"),
      echocardiographyAlbumPart2: map.pick("echocardiographyAlbumPart2"),
      echocardiogram: map.pick("echocardiogram"),
      ultrasoundNeurosciencesAlbum: map.pick("ultrasoundNeurosciencesAlbum"),
      neurology: map.pick("neurology"),
      emergencyDepartment: map.pick("emergencyDepartment"),
      emergencyCriticalCareAlbumPart1:
          map.pick("emergencyCriticalCareAlbumPart1"),
      emergencyCriticalCareAlbumPart2:
          map.pick("emergencyCriticalCareAlbumPart2"),
      emergencyCriticalCareAlbumPart3:
          map.pick("emergencyCriticalCareAlbumPart3"),
      softTissueAlbum: map.pick("softTissueAlbum"),
      softTissueUltrasoundAlbum: map.pick("softTissueUltrasoundAlbum"),
      neckAlbum: map.pick("neckAlbum"),
      neckUltrasoundAlbum: map.pick("neckUltrasoundAlbum"),
      liverPunctureGuidedByUltrasoundAlbum:
          map.pick("liverPunctureGuidedByUltrasoundAlbum"),
      memoryTrackingContrastEnhancedTechnique:
          map.pick("memoryTrackingContrastEnhancedTechnique"),
      mMode: map.pick("mMode"),
      anatomicalMMode: map.pick("anatomicalMMode"),
      colorMMode: map.pick("colorMMode"),
      vocalVolumeCalculationAlgorithm:
          map.pick("vocalVolumeCalculationAlgorithm"),
      xmiRemoteConnectionInstruction:
          map.pick("xmiRemoteConnectionInstruction"),
      amasAutomaticMeasurementOfArterialStiffnessInWholeBody:
          map.pick("amasAutomaticMeasurementOfArterialStiffnessInWholeBody"),
      subscribe: map.pick("subscribe"),
      replay: map.pick("replay"),
      liveOngoing: map.pick("liveOngoing"),
      notStarted: map.pick("notStarted"),
      myLibrary: map.pick("myLibrary"),
      uploadMaterial: map.pick("uploadMaterial"),
      addStudent: map.pick("addStudent"),
      addTeacher: map.pick("addTeacher"),
      searchUser: map.pick("searchUser"),
      applyForReview: map.pick("applyForReview"),
      teacherRole: map.pick("teacherRole"),
      studentRole: map.pick("studentRole"),
      createClass: map.pick("createClass"),
      joinClass: map.pick("joinClass"),
      assignCourse: map.pick("assignCourse"),
      distributeExam: map.pick("distributeExam"),
      distributeExercise: map.pick("distributeExercise"),
      exercise: map.pick("exercise"),
      exam: map.pick("exam"),
      quitClass: map.pick("quitClass"),
      className: map.pick("className"),
      relatedCourse: map.pick("relatedCourse"),
      completedExercise: map.pick("completedExercise"),
      participatedExam: map.pick("participatedExam"),
      serialNumber: map.pick("serialNumber"),
      classCode: map.pick("classCode"),
      numberOfStudents: map.pick("numberOfStudents"),
      bindCourse: map.pick("bindCourse"),
      bindExam: map.pick("bindExam"),
      bindExercise: map.pick("bindExercise"),
      viewStudent: map.pick("viewStudent"),
      networkSettings: map.pick("networkSettings"),
      runLog: map.pick("runLog"),
      downloadProgress: map.pick("downloadProgress"),
      downloadSuccess: map.pick("downloadSuccess"),
      teacherOnlyPC: map.pick("teacherOnlyPC"),
      startCourse: map.pick("startCourse"),
      enterCourse: map.pick("enterCourse"),
      uploadProgress: map.pick("uploadProgress"),
      noAvailableDevice: map.pick("noAvailableDevice"),
      selectLiveContent: map.pick("selectLiveContent"),
      stopSharing: map.pick("stopSharing"),
      selectDevice: map.pick("selectDevice"),
      teacherAway: map.pick("teacherAway"),
      notJoined: map.pick("notJoined"),
      camera: map.pick("camera"),
      computerDesktopUltrasound: map.pick("computerDesktopUltrasound"),
      courseURL: map.pick("courseURL"),
      printTestPage: map.pick("printTestPage"),
      courseNotStreaming: map.pick("courseNotStreaming"),
      exitClassSuccess: map.pick("exitClassSuccess"),
      exitClassFailed: map.pick("exitClassFailed"),
      createClassSuccess: map.pick("createClassSuccess"),
      createClassFailed: map.pick("createClassFailed"),
      applyJoinClassSuccess: map.pick("applyJoinClassSuccess"),
      applyJoinClassFailed: map.pick("applyJoinClassFailed"),
      applyAgreeFailed: map.pick("applyAgreeFailed"),
      pastVideo: map.pick("pastVideo"),
      videoDetail: map.pick("videoDetail"),
      videoDescription: map.pick("videoDescription"),
      videoCreateTime: map.pick("videoCreateTime"),
      noMoreData: map.pick("noMoreData"),
      searchCourses: map.pick("searchCourses"),
      pinned: map.pick("pinned"),
      starRating: map.pick("starRating"),
      defaultSavePath: map.pick("defaultSavePath"),
      recordSettings: map.pick("recordSettings"),
      recordFileStorageDir: map.pick("recordFileStorageDir"),
      openStorageDir: map.pick("openStorageDir"),
      selectStorageDir: map.pick("selectStorageDir"),
    );
  }

  /// 素材详情
  final FTrStr materialDetail;

  /// 文件名：
  final FTrStr fileName;

  /// 当前超声机正在分享中
  final FTrStr sharing;

  /// 正在分享桌面...
  final FTrStr desktopShare;

  /// 收缩
  final FTrStr collapse;

  /// 展开
  final FTrStr expand;

  /// 加载更多
  final FTrStr loadMore;

  /// 请选择对接医院
  final FTrStr selectHospital;

  /// 请先实名认证再添加设备
  final FTrStr authenticationNeeded;

  /// 重试
  final FTrStr retry;

  /// 我的课程
  final FTrStr myCourses;

  /// 我的班级
  final FTrStr myClasses;

  /// 直播课
  final FTrStr liveCourse;

  /// 推荐
  final FTrStr recommended;

  /// 产筛
  final FTrStr screening;

  /// 急诊重症
  final FTrStr emergency;

  /// 学术峰会
  final FTrStr academicSummit;

  /// 麻醉疼痛
  final FTrStr anesthesiaPain;

  /// 颅脑超声
  final FTrStr neurosonography;

  /// 其他
  final FTrStr other;

  /// 课程专辑
  final FTrStr courseAlbum;

  /// 热门课程
  final FTrStr popularCourses;

  /// 直播课程
  final FTrStr liveCourses;

  /// 第三方课程
  final FTrStr thirdPartyCourses;

  /// 青草互学
  final FTrStr pastureMutualLearning;

  /// 桌面共享
  final FTrStr desktopSharing;

  /// 超声机共享
  final FTrStr ultrasoundSharing;

  /// 画笔工具
  final FTrStr paintBrushTool;

  /// 样式设置
  final FTrStr styleSetting;

  /// 音量
  final FTrStr volume;

  /// 分享
  final FTrStr share;

  /// 生成回放
  final FTrStr generatePlayback;

  /// 退出直播
  final FTrStr exitLive;

  /// 互动区
  final FTrStr interactionArea;

  /// 老师好
  final FTrStr teacherHello;

  /// 出差学习中
  final FTrStr learningOnBusinessTrip;

  /// 同学们好
  final FTrStr helloClassmates;

  /// 没迟到吧
  final FTrStr notLateRight;

  /// 输入消息,Enter发送
  final FTrStr enterMessageToSend;

  /// 1.下列说法正确的是：
  final FTrStr question1;

  /// A.梯形成像就是将图像远场局部放大
  final FTrStr question1OptionA;

  /// B.梯形成像不支持彩色血流模式
  final FTrStr question1OptionB;

  /// C.梯形成像部分声束偏转延时，拓展两侧图像扫描范围
  final FTrStr question1OptionC;

  /// 2.下列哪把探头支持梯形成像：
  final FTrStr question2;

  /// A.腹部凸阵探头
  final FTrStr question2OptionA;

  /// B.高频浅表探头
  final FTrStr question2OptionB;

  /// C.心脏相控阵探头
  final FTrStr question2OptionC;

  /// 3.下列说法正确的是：
  final FTrStr question3;

  /// A.飞依诺宽景成像支持测量
  final FTrStr question3OptionA;

  /// B.飞依诺宽景成像有扫查速度提示
  final FTrStr question3OptionB;

  /// C.飞依诺宽景成像支持局部放大及旋转功能
  final FTrStr question3OptionC;

  /// 下列说法正确的是
  final FTrStr question4_title;

  /// A.飞依诺宽景成像技术可显示扫查速度值
  final FTrStr question4_optionA;

  /// B.开立宽景成像技术无法显示扫查速度值
  final FTrStr question4_optionB;

  /// C.迈瑞宽景成像技术有过速提示
  final FTrStr question4_optionC;

  /// 以下哪种情况可应用宽景成像
  final FTrStr question5_title;

  /// A.患者甲状腺病灶二维和彩色图像对比
  final FTrStr question5_promptA;

  /// B.患者跟腱断裂范围扫查
  final FTrStr question5_promptB;

  /// C.患者甲状腺较大视野内无法显示完整图像
  final FTrStr question5_promptC;

  /// 梯形成像和宽景成像试题
  final FTrStr test_paper_title;

  /// 试卷说明：本试卷共20题，满分100分，考试时间1小时。
  final FTrStr test_paper_intro;

  /// 考试倒计时
  final FTrStr test_time_countdown;

  /// 答题卡
  final FTrStr question_card_title;

  /// 单选题
  final FTrStr question_card_single_choice;

  /// 多选题
  final FTrStr question_card_multi_choice;

  /// 填空题
  final FTrStr question_card_fill_in_blanks;

  /// 简答题
  final FTrStr question_card_short_answer;

  /// 共{0}题,合计{1}分
  final FTrStr question_total;

  /// 已完成{0}题
  final FTrStr question_done;

  /// 专辑：早期产科筛查（上）
  final FTrStr earlyObstetricScreeningAlbumPart1;

  /// 专辑：早期产科筛查（下）
  final FTrStr earlyObstetricScreeningAlbumPart2;

  /// 专辑：心脏超声（上）
  final FTrStr echocardiographyAlbumPart1;

  /// 专辑：心脏超声（下）
  final FTrStr echocardiographyAlbumPart2;

  /// 心超
  final FTrStr echocardiogram;

  /// 专辑：超声波神经科学
  final FTrStr ultrasoundNeurosciencesAlbum;

  /// 神经科
  final FTrStr neurology;

  /// 急诊
  final FTrStr emergencyDepartment;

  /// 专辑：急诊重症（上）
  final FTrStr emergencyCriticalCareAlbumPart1;

  /// 专辑：急诊重症（中）
  final FTrStr emergencyCriticalCareAlbumPart2;

  /// 专辑：急诊重症（下）
  final FTrStr emergencyCriticalCareAlbumPart3;

  /// 软组织
  final FTrStr softTissueAlbum;

  /// 专辑：软组织超声
  final FTrStr softTissueUltrasoundAlbum;

  /// 颈部
  final FTrStr neckAlbum;

  /// 专辑：颈部超声
  final FTrStr neckUltrasoundAlbum;

  /// 专辑：超声引导下的肝脏穿刺
  final FTrStr liverPunctureGuidedByUltrasoundAlbum;

  /// 记忆追踪对比技术
  final FTrStr memoryTrackingContrastEnhancedTechnique;

  /// M型
  final FTrStr mMode;

  /// 解刨M型
  final FTrStr anatomicalMMode;

  /// 彩色M型
  final FTrStr colorMMode;

  /// VOCAL智能三维容积计算
  final FTrStr vocalVolumeCalculationAlgorithm;

  /// 杏聆荟远程连接操作指引
  final FTrStr xmiRemoteConnectionInstruction;

  /// AMAS全身动脉僵硬度自动测量系统
  final FTrStr amasAutomaticMeasurementOfArterialStiffnessInWholeBody;

  /// 订阅
  final FTrStr subscribe;

  /// 回放
  final FTrStr replay;

  /// 直播中
  final FTrStr liveOngoing;

  /// 未开始
  final FTrStr notStarted;

  /// 我的素材库
  final FTrStr myLibrary;

  /// 上传素材
  final FTrStr uploadMaterial;

  /// 添加学生
  final FTrStr addStudent;

  /// 添加讲师
  final FTrStr addTeacher;

  /// 输入姓名、手机号或邮箱搜索用户
  final FTrStr searchUser;

  /// 申请审核
  final FTrStr applyForReview;

  /// 我作为讲师
  final FTrStr teacherRole;

  /// 我作为学员
  final FTrStr studentRole;

  /// 创建班级
  final FTrStr createClass;

  /// 加入班级
  final FTrStr joinClass;

  /// 分配课程
  final FTrStr assignCourse;

  /// 分发试卷
  final FTrStr distributeExam;

  /// 分发练习
  final FTrStr distributeExercise;

  /// 练习
  final FTrStr exercise;

  /// 考试
  final FTrStr exam;

  /// 退出班级
  final FTrStr quitClass;

  /// 班级名称
  final FTrStr className;

  /// 关联课程
  final FTrStr relatedCourse;

  /// 已完成练习
  final FTrStr completedExercise;

  /// 已参与考试
  final FTrStr participatedExam;

  /// 序号
  final FTrStr serialNumber;

  /// 班级编码
  final FTrStr classCode;

  /// 学生人数
  final FTrStr numberOfStudents;

  /// 绑定课程
  final FTrStr bindCourse;

  /// 绑定试卷
  final FTrStr bindExam;

  /// 绑定练习
  final FTrStr bindExercise;

  /// 查看学生
  final FTrStr viewStudent;

  /// 网络设置
  final FTrStr networkSettings;

  /// 运行日志
  final FTrStr runLog;

  /// 下载进度
  final FTrStr downloadProgress;

  /// 下载成功，请至桌面查看
  final FTrStr downloadSuccess;

  /// 教师仅支持PC端操作
  final FTrStr teacherOnlyPC;

  /// 开始课程
  final FTrStr startCourse;

  /// 进入课程
  final FTrStr enterCourse;

  /// 上传进度
  final FTrStr uploadProgress;

  /// 尚无可用设备
  final FTrStr noAvailableDevice;

  /// 请选择直播内容：
  final FTrStr selectLiveContent;

  /// 停止共享
  final FTrStr stopSharing;

  /// 选择设备
  final FTrStr selectDevice;

  /// 老师暂时离开
  final FTrStr teacherAway;

  /// 尚未加入
  final FTrStr notJoined;

  /// 摄像头
  final FTrStr camera;

  /// 电脑桌面/超声机
  final FTrStr computerDesktopUltrasound;

  /// 课程地址：
  final FTrStr courseURL;

  /// 打印测试页
  final FTrStr printTestPage;

  /// 课程不在直播中
  final FTrStr courseNotStreaming;

  /// 退出班级成功
  final FTrStr exitClassSuccess;

  /// 退出班级失败
  final FTrStr exitClassFailed;

  /// 新建班级成功
  final FTrStr createClassSuccess;

  /// 新建班级失败
  final FTrStr createClassFailed;

  /// 申请加入班级成功，请等待教师审核
  final FTrStr applyJoinClassSuccess;

  /// 申请加入班级失败
  final FTrStr applyJoinClassFailed;

  /// 申请同意失败
  final FTrStr applyAgreeFailed;

  /// 视频课堂
  final FTrStr pastVideo;

  /// 视频详情
  final FTrStr videoDetail;

  /// 视频简介
  final FTrStr videoDescription;

  /// 上传时间
  final FTrStr videoCreateTime;

  /// 没有更多数据
  final FTrStr noMoreData;

  /// 搜索课程
  final FTrStr searchCourses;

  /// 置顶
  final FTrStr pinned;

  /// 推荐星级
  final FTrStr starRating;

  /// （默认为桌面）
  final FTrStr defaultSavePath;

  /// 录制设置
  final FTrStr recordSettings;

  /// 录制文件保存目录：
  final FTrStr recordFileStorageDir;

  /// 打开保存目录
  final FTrStr openStorageDir;

  /// 选择保存目录
  final FTrStr selectStorageDir;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
