import 'package:fis_i18n/types.dart';

/// 实验室模块
class LaboratoryModule extends ModuleBase {
  LaboratoryModule._({
    required this.laboratoryName,
    required this.uploadProgress,
    required this.uploadOptions,
    required this.uploadMethod,
    required this.downloadTemplate,
    required this.comprehensiveImageAnalysis,
    required this.imagesAnalyzedIndividually,
    required this.imageFolderName,
    required this.directUpload,
    required this.uploadByTemplate,
    required this.pleaseEnterFolderImageName,
    required this.confirmCancellationUploadOperation,
    required this.imageAnalysis,
    required this.reportAnalysis,
    required this.reportPreview,
    required this.upload,
    required this.uploadToFolder,
    required this.feifeiAIAnalysisAssistant,
    required this.dragAndDropUltrasoundImages,
    required this.comprehensiveAnalysisResults,
  });

  static const ModuleName = "laboratory";

  factory LaboratoryModule(Map<String, dynamic> map) {
    return LaboratoryModule._(
      laboratoryName: map.pick("laboratoryName"),
      uploadProgress: map.pick("uploadProgress"),
      uploadOptions: map.pick("uploadOptions"),
      uploadMethod: map.pick("uploadMethod"),
      downloadTemplate: map.pick("downloadTemplate"),
      comprehensiveImageAnalysis: map.pick("comprehensiveImageAnalysis"),
      imagesAnalyzedIndividually: map.pick("imagesAnalyzedIndividually"),
      imageFolderName: map.pick("imageFolderName"),
      directUpload: map.pick("directUpload"),
      uploadByTemplate: map.pick("uploadByTemplate"),
      pleaseEnterFolderImageName: map.pick("pleaseEnterFolderImageName"),
      confirmCancellationUploadOperation:
          map.pick("confirmCancellationUploadOperation"),
      imageAnalysis: map.pick("imageAnalysis"),
      reportAnalysis: map.pick("reportAnalysis"),
      reportPreview: map.pick("reportPreview"),
      upload: map.pick("upload"),
      uploadToFolder: map.pick("uploadToFolder"),
      feifeiAIAnalysisAssistant: map.pick("feifeiAIAnalysisAssistant"),
      dragAndDropUltrasoundImages: map.pick("dragAndDropUltrasoundImages"),
      comprehensiveAnalysisResults: map.pick("comprehensiveAnalysisResults"),
    );
  }

  /// 实验室
  final FTrStr laboratoryName;

  /// 上传进度
  final FTrStr uploadProgress;

  /// 上传选项
  final FTrStr uploadOptions;

  /// 上传方式
  final FTrStr uploadMethod;

  /// 下载模板
  final FTrStr downloadTemplate;

  /// 图像综合分析
  final FTrStr comprehensiveImageAnalysis;

  /// 图像单独分析
  final FTrStr imagesAnalyzedIndividually;

  /// 图像文件夹名称
  final FTrStr imageFolderName;

  /// 直接上传
  final FTrStr directUpload;

  /// 按模板上传
  final FTrStr uploadByTemplate;

  /// 请输入图像文件夹名称
  final FTrStr pleaseEnterFolderImageName;

  /// 确定取消上传操作
  final FTrStr confirmCancellationUploadOperation;

  /// 图像分析
  final FTrStr imageAnalysis;

  /// 报告分析
  final FTrStr reportAnalysis;

  /// 报告预览图
  final FTrStr reportPreview;

  /// 上传
  final FTrStr upload;

  /// 上传至该文件夹
  final FTrStr uploadToFolder;

  /// 飞飞AI分析助手
  final FTrStr feifeiAIAnalysisAssistant;

  /// 拖到超声机图像或视频至此处并释放，即可获得飞飞AI分析结果
  final FTrStr dragAndDropUltrasoundImages;

  /// 综合分析结果
  final FTrStr comprehensiveAnalysisResults;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
