import 'package:fis_i18n/types.dart';

/// 直播模块
class LiveModule extends ModuleBase {
  LiveModule._({
    required this.deviceLive,
    required this.clickToViewOtherDeviceLive,
    required this.deviceLiveList,
    required this.maxViewCountOfDeviceLive,
    required this.limitOfMaxLiveSourceCount,
    required this.tipsOfDeviceOffline,
    required this.scanQrCodeToShareLive,
  });

  static const ModuleName = "live";

  factory LiveModule(Map<String, dynamic> map) {
    return LiveModule._(
      deviceLive: map.pick("deviceLive"),
      clickToViewOtherDeviceLive: map.pick("clickToViewOtherDeviceLive"),
      deviceLiveList: map.pick("deviceLiveList"),
      maxViewCountOfDeviceLive: map.pick("maxViewCountOfDeviceLive"),
      limitOfMaxLiveSourceCount: map.pick("limitOfMaxLiveSourceCount"),
      tipsOfDeviceOffline: map.pick("tipsOfDeviceOffline"),
      scanQrCodeToShareLive: map.pick("scanQrCodeToShareLive"),
    );
  }

  /// 超声云视
  final FTrStr deviceLive;

  /// 点击选择观看其他超声直播
  final FTrStr clickToViewOtherDeviceLive;

  /// 超声机直播列表
  final FTrStr deviceLiveList;

  /// 超声直播同屏显示最大数量
  final FTrStr maxViewCountOfDeviceLive;

  /// 超过平台限制的最大直播流数量！
  final FTrStr limitOfMaxLiveSourceCount;

  /// 设备不在线，请刷新列表重试
  final FTrStr tipsOfDeviceOffline;

  /// 扫描二维码，分享直播画面
  final FTrStr scanQrCodeToShareLive;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
