import 'package:fis_i18n/types.dart';

/// 测量模块
class MeasureModule extends ModuleBase {
  MeasureModule._({
    required this.analysisConclusion,
    required this.innerMembraneThickness,
    required this.frontWall,
    required this.rearWall,
    required this.sideWall,
    required this.lowEcho,
    required this.strongEcho,
    required this.patch,
    required this.cancelFullScreen,
    required this.carotidAiTips,
    required this.featureAnalysis,
    required this.aiDiagnosticResults,
    required this.diseaseLabels,
    required this.isLesionSize,
    required this.possibility,
    required this.polycysticLiver,
    required this.cirrhosis,
    required this.panisodicChangesLiverDiffuseLesions,
    required this.fattyLiver,
    required this.liverCancerMayOccur,
    required this.liverCysts,
    required this.hepaticHemangioma,
    required this.intrahepaticStrongEchoFoci,
    required this.lipoma,
    required this.noSignificantAbnormalitiesWereSeen,
    required this.arrowhead,
    required this.unit,
    required this.length,
    required this.showAi,
    required this.hideAi,
    required this.guideCalibration,
    required this.measureImage,
    required this.measureImageShort,
    required this.measureToolConfig,
    required this.measureToolSelect,
    required this.selectedMeasureTool,
    required this.selectedMeasureToolConfig,
    required this.currentMeasureTool,
    required this.selectMeasureMethod,
    required this.selectCalculateResultAndUnit,
    required this.pictureQueue,
    required this.toolbox,
    required this.selectMeasureItem,
    required this.style,
    required this.config,
    required this.measureTool,
    required this.annotationTool,
    required this.ruler,
    required this.rulerType,
    required this.rulerSize,
    required this.measureRulerSize,
    required this.resultWindowConfig,
    required this.showResultWindow,
    required this.fontSize,
    required this.panelPosition,
    required this.topLeft,
    required this.bottomLeft,
    required this.topRight,
    required this.bottomRight,
    required this.display,
    required this.showRulerLine,
    required this.rulerLineColor,
    required this.keepMeasureOnImage,
    required this.showDepthMeasureLine,
    required this.showSimpleAnnotation,
    required this.autoAdjustCursor,
    required this.autoCaptureRange,
    required this.annotationFontSize,
    required this.showSubItemResultInMeasureWorkSheet,
    required this.showMeasureAnnotation,
    required this.selectAnnotationFontSize,
    required this.arrow,
    required this.brightness,
    required this.contrast,
    required this.clear,
    required this.fullScreen,
    required this.shape,
    required this.orientation,
    required this.echoPattern,
    required this.carotidArteryDiameter,
    required this.atheromatousPlaque,
    required this.plaquePosition,
    required this.plaqueSize,
    required this.plaqueEcho,
    required this.stenosisRateoflumen,
    required this.lesionBoundary,
    required this.margin,
    required this.calcification,
    required this.lesionSize,
    required this.oval,
    required this.round,
    required this.irregular,
    required this.parallel,
    required this.nonParallel,
    required this.anechoic,
    required this.hypoechoic,
    required this.isoechoic,
    required this.hyperechoic,
    required this.complex,
    required this.strongechoic,
    required this.abruptInterface,
    required this.echogenicHalo,
    required this.circumscribed,
    required this.nonCircumscribed,
    required this.noCalcifications,
    required this.macrocalcifications,
    required this.calcificationsInMass,
    required this.calcificationsOutOfMass,
    required this.measureSpecifiedFace,
    required this.carotid3DMode,
    required this.videoMode,
    required this.resetTone4Btn,
    required this.saveLocation,
    required this.screenshotSavedSuccessfully,
    required this.AddCcomment,
    required this.addCommentfail,
    required this.measurementMode,
    required this.annotationMode,
    required this.dragLeftAddComment,
    required this.text,
    required this.distance,
    required this.circumference,
    required this.area,
    required this.frameLoadTimeout,
    required this.frameLoadError,
    required this.collapseGroup,
    required this.expandGroup,
    required this.autoRunIntimaDetection,
    required this.playLocationFrameCountLabel,
    required this.playLocationDurationLabel,
    required this.annotationDeleted,
    required this.dragHereToDelete,
    required this.releaseToDelete,
    required this.threeDmove,
    required this.threeDcut,
    required this.threeDaiCut,
    required this.threeDreset,
    required this.threeDdelete,
    required this.threeDrotate,
    required this.rightClickToCancel,
    required this.thirdImageNeedCalibratingTips,
    required this.annotationCannotBeEmpty,
    required this.measureStyleConfig,
    required this.measureUnitConfig,
    required this.measureUnit,
    required this.urmDistanceUnit,
    required this.distanceUnit,
    required this.areaUnit,
    required this.velocityUnit,
    required this.timeUnit,
    required this.saveAndExit,
    required this.exitWithoutSave,
    required this.settingChangedAlert,
    required this.resetToDefaultAnnotation,
    required this.loopPlayback,
    required this.thyroidEchogenicFoci,
    required this.liverEchoTexture,
    required this.regular,
    required this.homogeneous,
    required this.heterogeneous,
    required this.presenceDiffuseDisease,
    required this.widerThanTall,
    required this.tallThanWider,
    required this.smooth,
    required this.illDefined,
    required this.lobulated,
    required this.extraThyroidalExtension,
    required this.noCifications,
    required this.coarsecalcifications,
    required this.microcalcifications,
    required this.noMatchingMeasurement,
    required this.moreMeasurementItems,
    required this.unsupportedMeasurementMode,
    required this.unsupportedMeasurementArea,
    required this.fineTuneStartPoint,
    required this.temporarilyUnsupportedMeasurement,
    required this.aiImage,
    required this.resetAiResult,
    required this.saveEditResult,
    required this.editMode,
    required this.dragMode,
    required this.drawOutlineMode,
    required this.editAiResult,
    required this.toast4calibrationLine,
    required this.probation,
    required this.unpaid,
    required this.purchased,
    required this.expired,
  });

  static const ModuleName = "measure";

  factory MeasureModule(Map<String, dynamic> map) {
    return MeasureModule._(
      analysisConclusion: map.pick("analysisConclusion"),
      innerMembraneThickness: map.pick("innerMembraneThickness"),
      frontWall: map.pick("frontWall"),
      rearWall: map.pick("rearWall"),
      sideWall: map.pick("sideWall"),
      lowEcho: map.pick("lowEcho"),
      strongEcho: map.pick("strongEcho"),
      patch: map.pick("patch"),
      cancelFullScreen: map.pick("cancelFullScreen"),
      carotidAiTips: map.pick("carotidAiTips"),
      featureAnalysis: map.pick("featureAnalysis"),
      aiDiagnosticResults: map.pick("aiDiagnosticResults"),
      diseaseLabels: map.pick("diseaseLabels"),
      isLesionSize: map.pick("isLesionSize"),
      possibility: map.pick("possibility"),
      polycysticLiver: map.pick("polycysticLiver"),
      cirrhosis: map.pick("cirrhosis"),
      panisodicChangesLiverDiffuseLesions:
          map.pick("panisodicChangesLiverDiffuseLesions"),
      fattyLiver: map.pick("fattyLiver"),
      liverCancerMayOccur: map.pick("liverCancerMayOccur"),
      liverCysts: map.pick("liverCysts"),
      hepaticHemangioma: map.pick("hepaticHemangioma"),
      intrahepaticStrongEchoFoci: map.pick("intrahepaticStrongEchoFoci"),
      lipoma: map.pick("lipoma"),
      noSignificantAbnormalitiesWereSeen:
          map.pick("noSignificantAbnormalitiesWereSeen"),
      arrowhead: map.pick("arrowhead"),
      unit: map.pick("unit"),
      length: map.pick("length"),
      showAi: map.pick("showAi"),
      hideAi: map.pick("hideAi"),
      guideCalibration: map.pick("guideCalibration"),
      measureImage: map.pick("measureImage"),
      measureImageShort: map.pick("measureImageShort"),
      measureToolConfig: map.pick("measureToolConfig"),
      measureToolSelect: map.pick("measureToolSelect"),
      selectedMeasureTool: map.pick("selectedMeasureTool"),
      selectedMeasureToolConfig: map.pick("selectedMeasureToolConfig"),
      currentMeasureTool: map.pick("currentMeasureTool"),
      selectMeasureMethod: map.pick("selectMeasureMethod"),
      selectCalculateResultAndUnit: map.pick("selectCalculateResultAndUnit"),
      pictureQueue: map.pick("pictureQueue"),
      toolbox: map.pick("toolbox"),
      selectMeasureItem: map.pick("selectMeasureItem"),
      style: map.pick("style"),
      config: map.pick("config"),
      measureTool: map.pick("measureTool"),
      annotationTool: map.pick("annotationTool"),
      ruler: map.pick("ruler"),
      rulerType: map.pick("rulerType"),
      rulerSize: map.pick("rulerSize"),
      measureRulerSize: map.pick("measureRulerSize"),
      resultWindowConfig: map.pick("resultWindowConfig"),
      showResultWindow: map.pick("showResultWindow"),
      fontSize: map.pick("fontSize"),
      panelPosition: map.pick("panelPosition"),
      topLeft: map.pick("topLeft"),
      bottomLeft: map.pick("bottomLeft"),
      topRight: map.pick("topRight"),
      bottomRight: map.pick("bottomRight"),
      display: map.pick("display"),
      showRulerLine: map.pick("showRulerLine"),
      rulerLineColor: map.pick("rulerLineColor"),
      keepMeasureOnImage: map.pick("keepMeasureOnImage"),
      showDepthMeasureLine: map.pick("showDepthMeasureLine"),
      showSimpleAnnotation: map.pick("showSimpleAnnotation"),
      autoAdjustCursor: map.pick("autoAdjustCursor"),
      autoCaptureRange: map.pick("autoCaptureRange"),
      annotationFontSize: map.pick("annotationFontSize"),
      showSubItemResultInMeasureWorkSheet:
          map.pick("showSubItemResultInMeasureWorkSheet"),
      showMeasureAnnotation: map.pick("showMeasureAnnotation"),
      selectAnnotationFontSize: map.pick("selectAnnotationFontSize"),
      arrow: map.pick("arrow"),
      brightness: map.pick("brightness"),
      contrast: map.pick("contrast"),
      clear: map.pick("clear"),
      fullScreen: map.pick("fullScreen"),
      shape: map.pick("shape"),
      orientation: map.pick("orientation"),
      echoPattern: map.pick("echoPattern"),
      carotidArteryDiameter: map.pick("carotidArteryDiameter"),
      atheromatousPlaque: map.pick("atheromatousPlaque"),
      plaquePosition: map.pick("plaquePosition"),
      plaqueSize: map.pick("plaqueSize"),
      plaqueEcho: map.pick("plaqueEcho"),
      stenosisRateoflumen: map.pick("stenosisRateoflumen"),
      lesionBoundary: map.pick("lesionBoundary"),
      margin: map.pick("margin"),
      calcification: map.pick("calcification"),
      lesionSize: map.pick("lesionSize"),
      oval: map.pick("oval"),
      round: map.pick("round"),
      irregular: map.pick("irregular"),
      parallel: map.pick("parallel"),
      nonParallel: map.pick("nonParallel"),
      anechoic: map.pick("anechoic"),
      hypoechoic: map.pick("hypoechoic"),
      isoechoic: map.pick("isoechoic"),
      hyperechoic: map.pick("hyperechoic"),
      complex: map.pick("complex"),
      strongechoic: map.pick("strongechoic"),
      abruptInterface: map.pick("abruptInterface"),
      echogenicHalo: map.pick("echogenicHalo"),
      circumscribed: map.pick("circumscribed"),
      nonCircumscribed: map.pick("nonCircumscribed"),
      noCalcifications: map.pick("noCalcifications"),
      macrocalcifications: map.pick("macrocalcifications"),
      calcificationsInMass: map.pick("calcificationsInMass"),
      calcificationsOutOfMass: map.pick("calcificationsOutOfMass"),
      measureSpecifiedFace: map.pick("measureSpecifiedFace"),
      carotid3DMode: map.pick("carotid3DMode"),
      videoMode: map.pick("videoMode"),
      resetTone4Btn: map.pick("resetTone4Btn"),
      saveLocation: map.pick("saveLocation"),
      screenshotSavedSuccessfully: map.pick("screenshotSavedSuccessfully"),
      AddCcomment: map.pick("AddCcomment"),
      addCommentfail: map.pick("addCommentfail"),
      measurementMode: map.pick("measurementMode"),
      annotationMode: map.pick("annotationMode"),
      dragLeftAddComment: map.pick("dragLeftAddComment"),
      text: map.pick("text"),
      distance: map.pick("distance"),
      circumference: map.pick("circumference"),
      area: map.pick("area"),
      frameLoadTimeout: map.pick("frameLoadTimeout"),
      frameLoadError: map.pick("frameLoadError"),
      collapseGroup: map.pick("collapseGroup"),
      expandGroup: map.pick("expandGroup"),
      autoRunIntimaDetection: map.pick("autoRunIntimaDetection"),
      playLocationFrameCountLabel: map.pick("playLocationFrameCountLabel"),
      playLocationDurationLabel: map.pick("playLocationDurationLabel"),
      annotationDeleted: map.pick("annotationDeleted"),
      dragHereToDelete: map.pick("dragHereToDelete"),
      releaseToDelete: map.pick("releaseToDelete"),
      threeDmove: map.pick("threeDmove"),
      threeDcut: map.pick("threeDcut"),
      threeDaiCut: map.pick("threeDaiCut"),
      threeDreset: map.pick("threeDreset"),
      threeDdelete: map.pick("threeDdelete"),
      threeDrotate: map.pick("threeDrotate"),
      rightClickToCancel: map.pick("rightClickToCancel"),
      thirdImageNeedCalibratingTips: map.pick("thirdImageNeedCalibratingTips"),
      annotationCannotBeEmpty: map.pick("annotationCannotBeEmpty"),
      measureStyleConfig: map.pick("measureStyleConfig"),
      measureUnitConfig: map.pick("measureUnitConfig"),
      measureUnit: map.pick("measureUnit"),
      urmDistanceUnit: map.pick("urmDistanceUnit"),
      distanceUnit: map.pick("distanceUnit"),
      areaUnit: map.pick("areaUnit"),
      velocityUnit: map.pick("velocityUnit"),
      timeUnit: map.pick("timeUnit"),
      saveAndExit: map.pick("saveAndExit"),
      exitWithoutSave: map.pick("exitWithoutSave"),
      settingChangedAlert: map.pick("settingChangedAlert"),
      resetToDefaultAnnotation: map.pick("resetToDefaultAnnotation"),
      loopPlayback: map.pick("loopPlayback"),
      thyroidEchogenicFoci: map.pick("thyroidEchogenicFoci"),
      liverEchoTexture: map.pick("liverEchoTexture"),
      regular: map.pick("regular"),
      homogeneous: map.pick("homogeneous"),
      heterogeneous: map.pick("heterogeneous"),
      presenceDiffuseDisease: map.pick("presenceDiffuseDisease"),
      widerThanTall: map.pick("widerThanTall"),
      tallThanWider: map.pick("tallThanWider"),
      smooth: map.pick("smooth"),
      illDefined: map.pick("illDefined"),
      lobulated: map.pick("lobulated"),
      extraThyroidalExtension: map.pick("extraThyroidalExtension"),
      noCifications: map.pick("noCifications"),
      coarsecalcifications: map.pick("coarsecalcifications"),
      microcalcifications: map.pick("microcalcifications"),
      noMatchingMeasurement: map.pick("noMatchingMeasurement"),
      moreMeasurementItems: map.pick("moreMeasurementItems"),
      unsupportedMeasurementMode: map.pick("unsupportedMeasurementMode"),
      unsupportedMeasurementArea: map.pick("unsupportedMeasurementArea"),
      fineTuneStartPoint: map.pick("fineTuneStartPoint"),
      temporarilyUnsupportedMeasurement:
          map.pick("temporarilyUnsupportedMeasurement"),
      aiImage: map.pick("aiImage"),
      resetAiResult: map.pick("resetAiResult"),
      saveEditResult: map.pick("saveEditResult"),
      editMode: map.pick("editMode"),
      dragMode: map.pick("dragMode"),
      drawOutlineMode: map.pick("drawOutlineMode"),
      editAiResult: map.pick("editAiResult"),
      toast4calibrationLine: map.pick("toast4calibrationLine"),
      probation: map.pick("probation"),
      unpaid: map.pick("unpaid"),
      purchased: map.pick("purchased"),
      expired: map.pick("expired"),
    );
  }

  /// 分析结论
  final FTrStr analysisConclusion;

  /// 内中膜厚度
  final FTrStr innerMembraneThickness;

  /// 前壁
  final FTrStr frontWall;

  /// 后壁
  final FTrStr rearWall;

  /// 侧壁
  final FTrStr sideWall;

  /// 低回声
  final FTrStr lowEcho;

  /// 强回声
  final FTrStr strongEcho;

  /// 斑块
  final FTrStr patch;

  /// 取消全屏
  final FTrStr cancelFullScreen;

  /// 提醒：自动测量可能存在误差，仅供参考
  final FTrStr carotidAiTips;

  /// 特征分析
  final FTrStr featureAnalysis;

  /// AI诊断结果
  final FTrStr aiDiagnosticResults;

  /// 诊断标签
  final FTrStr diseaseLabels;

  /// 病灶大小
  final FTrStr isLesionSize;

  /// 可能性
  final FTrStr possibility;

  /// 多囊肝
  final FTrStr polycysticLiver;

  /// 肝硬化
  final FTrStr cirrhosis;

  /// 肝脏弥漫性病变声像图改变
  final FTrStr panisodicChangesLiverDiffuseLesions;

  /// 脂肪肝
  final FTrStr fattyLiver;

  /// 肝癌可能
  final FTrStr liverCancerMayOccur;

  /// 肝囊肿
  final FTrStr liverCysts;

  /// 肝血管瘤
  final FTrStr hepaticHemangioma;

  /// 肝内强回声灶
  final FTrStr intrahepaticStrongEchoFoci;

  /// 脂肪瘤
  final FTrStr lipoma;

  /// 未见明显异常
  final FTrStr noSignificantAbnormalitiesWereSeen;

  /// 箭头
  final FTrStr arrowhead;

  /// 单位
  final FTrStr unit;

  /// 长度
  final FTrStr length;

  /// 展示AI
  final FTrStr showAi;

  /// 隐藏AI
  final FTrStr hideAi;

  /// 参考线校准
  final FTrStr guideCalibration;

  /// 测量图像
  final FTrStr measureImage;

  /// 测量图像
  final FTrStr measureImageShort;

  /// 测量项配置
  final FTrStr measureToolConfig;

  /// 测量项选择
  final FTrStr measureToolSelect;

  /// 已选择的测量项
  final FTrStr selectedMeasureTool;

  /// 已选测量项设置
  final FTrStr selectedMeasureToolConfig;

  /// 当前测量项
  final FTrStr currentMeasureTool;

  /// 选择测量方法
  final FTrStr selectMeasureMethod;

  /// 选择计算结果和单位
  final FTrStr selectCalculateResultAndUnit;

  /// 图像列队
  final FTrStr pictureQueue;

  /// 工具箱
  final FTrStr toolbox;

  /// 选择测量项
  final FTrStr selectMeasureItem;

  /// 样式
  final FTrStr style;

  /// 配置
  final FTrStr config;

  /// 测量项
  final FTrStr measureTool;

  /// 注释工具
  final FTrStr annotationTool;

  /// 卡尺
  final FTrStr ruler;

  /// 卡尺类型
  final FTrStr rulerType;

  /// 卡尺大小
  final FTrStr rulerSize;

  /// 测量时卡尺大小
  final FTrStr measureRulerSize;

  /// 结果窗口设置
  final FTrStr resultWindowConfig;

  /// 显示结果窗口
  final FTrStr showResultWindow;

  /// 字体大小
  final FTrStr fontSize;

  /// 窗口位置
  final FTrStr panelPosition;

  /// 左侧顶部
  final FTrStr topLeft;

  /// 左侧底部
  final FTrStr bottomLeft;

  /// 右侧顶部
  final FTrStr topRight;

  /// 右侧底部
  final FTrStr bottomRight;

  /// 显示
  final FTrStr display;

  /// 显示卡尺线
  final FTrStr showRulerLine;

  /// 卡尺线颜色
  final FTrStr rulerLineColor;

  /// 保留测量在图像上
  final FTrStr keepMeasureOnImage;

  /// 显示深度测量线
  final FTrStr showDepthMeasureLine;

  /// 显示简洁注释
  final FTrStr showSimpleAnnotation;

  /// 微距测量自动调整光标
  final FTrStr autoAdjustCursor;

  /// 测量自动捕捉范围
  final FTrStr autoCaptureRange;

  /// 注释字体大小
  final FTrStr annotationFontSize;

  /// 在测量工作表中显示子项结果
  final FTrStr showSubItemResultInMeasureWorkSheet;

  /// 显示测量项注释
  final FTrStr showMeasureAnnotation;

  /// 选择注释字体大小
  final FTrStr selectAnnotationFontSize;

  /// 箭头
  final FTrStr arrow;

  /// 亮度
  final FTrStr brightness;

  /// 对比度
  final FTrStr contrast;

  /// 清除
  final FTrStr clear;

  /// 全屏
  final FTrStr fullScreen;

  /// 形状
  final FTrStr shape;

  /// 生长方向
  final FTrStr orientation;

  /// 回声类型
  final FTrStr echoPattern;

  /// 颈动脉内径
  final FTrStr carotidArteryDiameter;

  /// 粥样斑块
  final FTrStr atheromatousPlaque;

  /// 斑块位置
  final FTrStr plaquePosition;

  /// 斑块大小
  final FTrStr plaqueSize;

  /// 斑块回声
  final FTrStr plaqueEcho;

  /// 管腔狭窄率
  final FTrStr stenosisRateoflumen;

  /// 病灶边界
  final FTrStr lesionBoundary;

  /// 边缘
  final FTrStr margin;

  /// 钙化
  final FTrStr calcification;

  /// 纵横比
  final FTrStr lesionSize;

  /// 椭圆形
  final FTrStr oval;

  /// 类圆形
  final FTrStr round;

  /// 不规则
  final FTrStr irregular;

  /// 平行
  final FTrStr parallel;

  /// 非平行
  final FTrStr nonParallel;

  /// 无回声
  final FTrStr anechoic;

  /// 低回声
  final FTrStr hypoechoic;

  /// 等回声
  final FTrStr isoechoic;

  /// 高回声
  final FTrStr hyperechoic;

  /// 混合回声
  final FTrStr complex;

  /// 强回声
  final FTrStr strongechoic;

  /// 清晰
  final FTrStr abruptInterface;

  /// 模糊
  final FTrStr echogenicHalo;

  /// 光整
  final FTrStr circumscribed;

  /// 不光整
  final FTrStr nonCircumscribed;

  /// 无钙化
  final FTrStr noCalcifications;

  /// 粗钙化
  final FTrStr macrocalcifications;

  /// 肿块内钙化
  final FTrStr calcificationsInMass;

  /// 肿块外钙化
  final FTrStr calcificationsOutOfMass;

  /// 使用选中面进入 2D 测量
  final FTrStr measureSpecifiedFace;

  /// 3D模式
  final FTrStr carotid3DMode;

  /// 视频模式
  final FTrStr videoMode;

  /// 重置
  final FTrStr resetTone4Btn;

  /// 保存位置
  final FTrStr saveLocation;

  /// 截图保存成功
  final FTrStr screenshotSavedSuccessfully;

  /// 请添加新注释
  final FTrStr AddCcomment;

  /// 添加注释失败
  final FTrStr addCommentfail;

  /// 测量模式
  final FTrStr measurementMode;

  /// 注释模式
  final FTrStr annotationMode;

  /// 向左拖动以添加注释
  final FTrStr dragLeftAddComment;

  /// 文本
  final FTrStr text;

  /// 距离
  final FTrStr distance;

  /// 周长
  final FTrStr circumference;

  /// 面积
  final FTrStr area;

  /// 连接超时，请重试
  final FTrStr frameLoadTimeout;

  /// 加载错误，请重试
  final FTrStr frameLoadError;

  /// 收起
  final FTrStr collapseGroup;

  /// 更多
  final FTrStr expandGroup;

  /// 自动执行内膜检测
  final FTrStr autoRunIntimaDetection;

  /// 帧数:
  final FTrStr playLocationFrameCountLabel;

  /// 时长:
  final FTrStr playLocationDurationLabel;

  /// {0} 已删除
  final FTrStr annotationDeleted;

  /// 拖到此处可删除
  final FTrStr dragHereToDelete;

  /// 松开鼠标以删除
  final FTrStr releaseToDelete;

  /// 移动
  final FTrStr threeDmove;

  /// 切割
  final FTrStr threeDcut;

  /// AI切割
  final FTrStr threeDaiCut;

  /// 重置
  final FTrStr threeDreset;

  /// 删除
  final FTrStr threeDdelete;

  /// 旋转
  final FTrStr threeDrotate;

  /// 右键可取消当前测量项
  final FTrStr rightClickToCancel;

  /// 请先校准图像再测量
  final FTrStr thirdImageNeedCalibratingTips;

  /// 注释不可为空
  final FTrStr annotationCannotBeEmpty;

  /// 测量样式设置
  final FTrStr measureStyleConfig;

  /// 测量单位设置
  final FTrStr measureUnitConfig;

  /// 单位
  final FTrStr measureUnit;

  /// URM长度测量常用单位
  final FTrStr urmDistanceUnit;

  /// 长度测量常用单位
  final FTrStr distanceUnit;

  /// 面积测量常用单位
  final FTrStr areaUnit;

  /// 速度测量常用单位
  final FTrStr velocityUnit;

  /// 时间测量常用单位
  final FTrStr timeUnit;

  /// 保存并退出
  final FTrStr saveAndExit;

  /// 不保存
  final FTrStr exitWithoutSave;

  /// 设置已发生改变，是否保存并退出？
  final FTrStr settingChangedAlert;

  /// 恢复为默认的注释项
  final FTrStr resetToDefaultAnnotation;

  /// 循环播放
  final FTrStr loopPlayback;

  /// 局灶性强回声
  final FTrStr thyroidEchogenicFoci;

  /// 回声质地
  final FTrStr liverEchoTexture;

  /// 规则
  final FTrStr regular;

  /// 均匀
  final FTrStr homogeneous;

  /// 不均匀
  final FTrStr heterogeneous;

  /// 存在弥漫性疾病
  final FTrStr presenceDiffuseDisease;

  /// 水平位
  final FTrStr widerThanTall;

  /// 垂直位
  final FTrStr tallThanWider;

  /// 边缘光整
  final FTrStr smooth;

  /// 边缘模糊
  final FTrStr illDefined;

  /// 边缘分叶状
  final FTrStr lobulated;

  /// 甲状腺外侵犯
  final FTrStr extraThyroidalExtension;

  /// 无钙化
  final FTrStr noCifications;

  /// 粗钙化
  final FTrStr coarsecalcifications;

  /// 微钙化
  final FTrStr microcalcifications;

  /// 没有匹配的测量项
  final FTrStr noMatchingMeasurement;

  /// 更多测量项
  final FTrStr moreMeasurementItems;

  /// 此模式下暂无支持的测量项
  final FTrStr unsupportedMeasurementMode;

  /// 当前区域不支持该测量项
  final FTrStr unsupportedMeasurementArea;

  /// 微调起始点
  final FTrStr fineTuneStartPoint;

  /// 暂不支持该测量项
  final FTrStr temporarilyUnsupportedMeasurement;

  /// AI 图像
  final FTrStr aiImage;

  /// 重置AI结果
  final FTrStr resetAiResult;

  /// 保存编辑结果
  final FTrStr saveEditResult;

  /// 编辑模式：
  final FTrStr editMode;

  /// 拖拽模式
  final FTrStr dragMode;

  /// 画轮廓模式
  final FTrStr drawOutlineMode;

  /// 编辑AI结果
  final FTrStr editAiResult;

  /// 请输入正确的长度
  final FTrStr toast4calibrationLine;

  /// 试用中
  final FTrStr probation;

  /// 未购买
  final FTrStr unpaid;

  /// 已购买
  final FTrStr purchased;

  /// 已过期
  final FTrStr expired;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
