import 'package:fis_i18n/types.dart';

/// 通知模块
class NotificationModule extends ModuleBase {
  NotificationModule._({
    required this.consultationInvitation,
    required this.detail,
    required this.showAll,
    required this.expertName,
    required this.expertNameWithBrackets,
    required this.rejectReason,
    required this.applyHospital,
    required this.sysNotification,
    required this.consultationTime,
    required this.receiveConsultationApply,
    required this.receiveConsultationApply4Mobile,
    required this.someoneRejectYourConsultation,
    required this.someoneRejectYourInvitee,
    required this.someoneAcceptYourConsultation,
    required this.consultationWillStartIn,
    required this.consultationStarted,
    required this.receiveConsultationInvitation,
    required this.receiveConsultationInvitation4Mobile,
    required this.someoneRejectYourInvitation,
    required this.someoneAcceptYourInvitation,
    required this.inviteSomeoneToConsultation,
    required this.closeAll,
    required this.notification,
    required this.markAllAsRead,
    required this.readed,
    required this.unread,
    required this.consultationNotification,
    required this.unknownType,
    required this.messageReminder,
    required this.messageReminderFromFlyinsono,
    required this.consultationRequestForm,
    required this.noUnreadMessages,
    required this.allMarkedAsRead,
  });

  static const ModuleName = "notification";

  factory NotificationModule(Map<String, dynamic> map) {
    return NotificationModule._(
      consultationInvitation: map.pick("consultationInvitation"),
      detail: map.pick("detail"),
      showAll: map.pick("showAll"),
      expertName: map.pick("expertName"),
      expertNameWithBrackets: map.pick("expertNameWithBrackets"),
      rejectReason: map.pick("rejectReason"),
      applyHospital: map.pick("applyHospital"),
      sysNotification: map.pick("sysNotification"),
      consultationTime: map.pick("consultationTime"),
      receiveConsultationApply: map.pick("receiveConsultationApply"),
      receiveConsultationApply4Mobile:
          map.pick("receiveConsultationApply4Mobile"),
      someoneRejectYourConsultation: map.pick("someoneRejectYourConsultation"),
      someoneRejectYourInvitee: map.pick("someoneRejectYourInvitee"),
      someoneAcceptYourConsultation: map.pick("someoneAcceptYourConsultation"),
      consultationWillStartIn: map.pick("consultationWillStartIn"),
      consultationStarted: map.pick("consultationStarted"),
      receiveConsultationInvitation: map.pick("receiveConsultationInvitation"),
      receiveConsultationInvitation4Mobile:
          map.pick("receiveConsultationInvitation4Mobile"),
      someoneRejectYourInvitation: map.pick("someoneRejectYourInvitation"),
      someoneAcceptYourInvitation: map.pick("someoneAcceptYourInvitation"),
      inviteSomeoneToConsultation: map.pick("inviteSomeoneToConsultation"),
      closeAll: map.pick("closeAll"),
      notification: map.pick("notification"),
      markAllAsRead: map.pick("markAllAsRead"),
      readed: map.pick("readed"),
      unread: map.pick("unread"),
      consultationNotification: map.pick("consultationNotification"),
      unknownType: map.pick("unknownType"),
      messageReminder: map.pick("messageReminder"),
      messageReminderFromFlyinsono: map.pick("messageReminderFromFlyinsono"),
      consultationRequestForm: map.pick("consultationRequestForm"),
      noUnreadMessages: map.pick("noUnreadMessages"),
      allMarkedAsRead: map.pick("allMarkedAsRead"),
    );
  }

  /// {0}向您发来了会诊邀请
  final FTrStr consultationInvitation;

  /// 详情
  final FTrStr detail;

  /// 查看全部
  final FTrStr showAll;

  /// 会诊专家
  final FTrStr expertName;

  /// （会诊专家）
  final FTrStr expertNameWithBrackets;

  /// 拒绝原因
  final FTrStr rejectReason;

  /// 申请医院
  final FTrStr applyHospital;

  /// 系统通知
  final FTrStr sysNotification;

  /// 会诊时间
  final FTrStr consultationTime;

  /// {0}向您发来了会诊申请！
  final FTrStr receiveConsultationApply;

  /// {0}向您发来了会诊申请，请及时处理！
  final FTrStr receiveConsultationApply4Mobile;

  /// {0}拒绝了您的会诊申请！
  final FTrStr someoneRejectYourConsultation;

  /// {0}拒绝了您的会诊邀约！
  final FTrStr someoneRejectYourInvitee;

  /// {0}同意了您的会诊申请！
  final FTrStr someoneAcceptYourConsultation;

  /// 会诊将在{0}后开始，请及时参与！
  final FTrStr consultationWillStartIn;

  /// 会诊已经开始！
  final FTrStr consultationStarted;

  /// {0}向您发来了会诊邀约！
  final FTrStr receiveConsultationInvitation;

  /// {0}向您发来了会诊邀约，请及时处理！
  final FTrStr receiveConsultationInvitation4Mobile;

  /// {0}拒绝了您的会诊邀约！
  final FTrStr someoneRejectYourInvitation;

  /// {0}同意了您的会诊邀约！
  final FTrStr someoneAcceptYourInvitation;

  /// 邀请{0}人，{1}人接受
  final FTrStr inviteSomeoneToConsultation;

  /// 全部关闭（{0}）
  final FTrStr closeAll;

  /// 系统消息通知
  final FTrStr notification;

  /// 全部设为已读
  final FTrStr markAllAsRead;

  /// 已读
  final FTrStr readed;

  /// 未读
  final FTrStr unread;

  /// 会诊通知
  final FTrStr consultationNotification;

  /// 未知类型
  final FTrStr unknownType;

  /// 消息提醒
  final FTrStr messageReminder;

  /// 来自Flyinsono的消息提醒
  final FTrStr messageReminderFromFlyinsono;

  /// 会诊申请单
  final FTrStr consultationRequestForm;

  /// 暂无未读消息
  final FTrStr noUnreadMessages;

  /// 已全部标记为已读
  final FTrStr allMarkedAsRead;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
