import 'package:fis_i18n/types.dart';

/// 组织模块
class OrganizationModule extends ModuleBase {
  OrganizationModule._({
    required this.privacyProtection,
    required this.orgSetting,
    required this.upperOrg,
    required this.orgName,
    required this.orgLogo,
    required this.serveObj,
    required this.locatedArea,
    required this.avatar,
    required this.nickName,
    required this.positionIdentity,
    required this.workTitle,
    required this.orgNameInputTip,
    required this.areaSelectionTip,
    required this.orgSelectionTip,
    required this.modifyWorkTitle,
    required this.addWorkTitle,
    required this.workTitleName,
    required this.basicInfo,
    required this.orgStructureInfo,
    required this.department,
    required this.orgStructure,
    required this.editOrgStructure,
    required this.addOrgStructure,
    required this.departmentName,
    required this.selectDepartmentTip,
    required this.selectValueDepartment,
    required this.selectValueOrganization,
    required this.selectWorkPostIdentify,
    required this.workTitleSelectionTip,
    required this.loadOrgInfoFailedTip,
    required this.selectSuperiorOrg,
    required this.completRegionInfo,
    required this.saveSuccess,
    required this.fullfillOrgInfo,
    required this.fullfillAreaInfo,
    required this.fullfillOrgName,
    required this.deleteOrNot,
    required this.SelectUserToRemove,
    required this.removing,
    required this.departmentNamePlaceholder,
    required this.FillInCompletely,
    required this.titleNamePlaceholder,
    required this.messgaeConfirm,
    required this.removeMemberConfirm,
    required this.removeMembersConfirm,
    required this.deleteMemberConfirm,
    required this.deleteOrganizationConfirm,
    required this.deleteProfessionalConfirm,
  });

  static const ModuleName = "organization";

  factory OrganizationModule(Map<String, dynamic> map) {
    return OrganizationModule._(
      privacyProtection: map.pick("privacyProtection"),
      orgSetting: map.pick("orgSetting"),
      upperOrg: map.pick("upperOrg"),
      orgName: map.pick("orgName"),
      orgLogo: map.pick("orgLogo"),
      serveObj: map.pick("serveObj"),
      locatedArea: map.pick("locatedArea"),
      avatar: map.pick("avatar"),
      nickName: map.pick("nickName"),
      positionIdentity: map.pick("positionIdentity"),
      workTitle: map.pick("workTitle"),
      orgNameInputTip: map.pick("orgNameInputTip"),
      areaSelectionTip: map.pick("areaSelectionTip"),
      orgSelectionTip: map.pick("orgSelectionTip"),
      modifyWorkTitle: map.pick("modifyWorkTitle"),
      addWorkTitle: map.pick("addWorkTitle"),
      workTitleName: map.pick("workTitleName"),
      basicInfo: map.pick("basicInfo"),
      orgStructureInfo: map.pick("orgStructureInfo"),
      department: map.pick("department"),
      orgStructure: map.pick("orgStructure"),
      editOrgStructure: map.pick("editOrgStructure"),
      addOrgStructure: map.pick("addOrgStructure"),
      departmentName: map.pick("departmentName"),
      selectDepartmentTip: map.pick("selectDepartmentTip"),
      selectValueDepartment: map.pick("selectValueDepartment"),
      selectValueOrganization: map.pick("selectValueOrganization"),
      selectWorkPostIdentify: map.pick("selectWorkPostIdentify"),
      workTitleSelectionTip: map.pick("workTitleSelectionTip"),
      loadOrgInfoFailedTip: map.pick("loadOrgInfoFailedTip"),
      selectSuperiorOrg: map.pick("selectSuperiorOrg"),
      completRegionInfo: map.pick("completRegionInfo"),
      saveSuccess: map.pick("saveSuccess"),
      fullfillOrgInfo: map.pick("fullfillOrgInfo"),
      fullfillAreaInfo: map.pick("fullfillAreaInfo"),
      fullfillOrgName: map.pick("fullfillOrgName"),
      deleteOrNot: map.pick("deleteOrNot"),
      SelectUserToRemove: map.pick("SelectUserToRemove"),
      removing: map.pick("removing"),
      departmentNamePlaceholder: map.pick("departmentNamePlaceholder"),
      FillInCompletely: map.pick("FillInCompletely"),
      titleNamePlaceholder: map.pick("titleNamePlaceholder"),
      messgaeConfirm: map.pick("messgaeConfirm"),
      removeMemberConfirm: map.pick("removeMemberConfirm"),
      removeMembersConfirm: map.pick("removeMembersConfirm"),
      deleteMemberConfirm: map.pick("deleteMemberConfirm"),
      deleteOrganizationConfirm: map.pick("deleteOrganizationConfirm"),
      deleteProfessionalConfirm: map.pick("deleteProfessionalConfirm"),
    );
  }

  /// 隐私保护
  final FTrStr privacyProtection;

  /// 医院设置
  final FTrStr orgSetting;

  /// 上级医院
  final FTrStr upperOrg;

  /// 医院名称
  final FTrStr orgName;

  /// 医院标志
  final FTrStr orgLogo;

  /// 服务对象
  final FTrStr serveObj;

  /// 所属地区
  final FTrStr locatedArea;

  /// 头像
  final FTrStr avatar;

  /// 昵称
  final FTrStr nickName;

  /// 岗位身份
  final FTrStr positionIdentity;

  /// 职称
  final FTrStr workTitle;

  /// 请输入医院名
  final FTrStr orgNameInputTip;

  /// 选择地区
  final FTrStr areaSelectionTip;

  /// 选择医院
  final FTrStr orgSelectionTip;

  /// 修改职称
  final FTrStr modifyWorkTitle;

  /// 添加职称
  final FTrStr addWorkTitle;

  /// 职称名称
  final FTrStr workTitleName;

  /// 基础信息
  final FTrStr basicInfo;

  /// 组织架构信息
  final FTrStr orgStructureInfo;

  /// 科室
  final FTrStr department;

  /// 组织架构
  final FTrStr orgStructure;

  /// 修改组织架构
  final FTrStr editOrgStructure;

  /// 添加组织架构
  final FTrStr addOrgStructure;

  /// 科室名称
  final FTrStr departmentName;

  /// 请选择科室
  final FTrStr selectDepartmentTip;

  /// 科室
  final FTrStr selectValueDepartment;

  /// 医院
  final FTrStr selectValueOrganization;

  /// 请选择岗位身份
  final FTrStr selectWorkPostIdentify;

  /// 请选择职称
  final FTrStr workTitleSelectionTip;

  /// 加载组织信息失败！
  final FTrStr loadOrgInfoFailedTip;

  /// 选择上级医院
  final FTrStr selectSuperiorOrg;

  /// 请完善地区信息
  final FTrStr completRegionInfo;

  /// 保存成功
  final FTrStr saveSuccess;

  /// 完善医院信息
  final FTrStr fullfillOrgInfo;

  /// 请完善地区信息
  final FTrStr fullfillAreaInfo;

  /// 请完善医院名称
  final FTrStr fullfillOrgName;

  /// 确定是否移除
  final FTrStr deleteOrNot;

  /// 请选择需要移除的用户
  final FTrStr SelectUserToRemove;

  /// 移除中
  final FTrStr removing;

  /// 请填写科室名称
  final FTrStr departmentNamePlaceholder;

  /// 请填写完整
  final FTrStr FillInCompletely;

  /// 请填写职称名称
  final FTrStr titleNamePlaceholder;

  /// 信息确认！
  final FTrStr messgaeConfirm;

  /// 确定将该成员移除本医院吗？
  final FTrStr removeMemberConfirm;

  /// 您已选择{0}名成员,确定从本医院移除吗？
  final FTrStr removeMembersConfirm;

  /// 您已选择${0}名成员，确定将他们移除吗?
  final FTrStr deleteMemberConfirm;

  /// 确认删除组织架构
  final FTrStr deleteOrganizationConfirm;

  /// 确认删除职称
  final FTrStr deleteProfessionalConfirm;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
