import 'package:fis_i18n/types.dart';

/// 诊断模块
class RemedicalModule extends ModuleBase {
  RemedicalModule._({
    required this.submitSuccessToTransferList,
    required this.submitSuccessToCompleteList,
    required this.owner,
    required this.selectGender,
    required this.selectCategory,
    required this.reportDoctor,
    required this.manualMeasurement,
    required this.aiMeasurement,
    required this.remoteParameterNotSupported,
    required this.viewMaterials,
    required this.notSupportFileView,
    required this.patientManagement,
    required this.examinationDetails,
    required this.history,
    required this.processed,
    required this.copyClassCode,
    required this.updatePackageName,
    required this.applicableSystemVersion,
    required this.applicableSoftwareVersion,
    required this.currentOrganization,
    required this.completed,
    required this.medicalHistory,
    required this.transferiIn,
    required this.transferOut,
    required this.downloadingLogs,
    required this.RetrievingLog,
    required this.ImageProcessing,
    required this.resultsExported,
    required this.confirmCloseCurrentConsultation,
    required this.recordingInterrupted,
    required this.inputExistedTerm,
    required this.noEntrys,
    required this.leftNeck,
    required this.rightNeck,
    required this.reportList,
    required this.imageUnidentifiedCarotidArtery,
    required this.referralHistory,
    required this.referralRequest,
    required this.calibrationLine,
    required this.referralReport,
    required this.agree,
    required this.reportNoInit,
    required this.shareTerminalSuccess,
    required this.WithDrawn,
    required this.pending,
    required this.addReportTag,
    required this.addTag,
    required this.natureOfLesion,
    required this.lesionClassification,
    required this.lesionClassificationExist,
    required this.notFoundTag,
    required this.canNotTag,
    required this.addedTags,
    required this.selectTags,
    required this.searchOrSelectTags,
    required this.searchOrSelectClassification,
    required this.doNotRemind,
    required this.hasWithDrawn,
    required this.timedOut,
    required this.accepted,
    required this.transferDoctor,
    required this.transferOrganization,
    required this.transferApply,
    required this.transferTime,
    required this.transferSubjectMatter,
    required this.transferOutAgency,
    required this.patientDisplayName,
    required this.transferredOut,
    required this.transferred,
    required this.refuse,
    required this.refused,
    required this.myPatient,
    required this.referPatient,
    required this.patientName,
    required this.patientFrom,
    required this.noEntry,
    required this.messageShare,
    required this.shortMessage,
    required this.qrCode,
    required this.moments,
    required this.wechatFriend,
    required this.wechatShare,
    required this.imagesShare,
    required this.noImageToShare,
    required this.shareSuccess,
    required this.shareFailed,
    required this.getShareLinkFailed,
    required this.selectContentToShare,
    required this.smsShare,
    required this.noOpenWx,
    required this.noReport,
    required this.aiReport,
    required this.ultrasoundReport,
    required this.editThesaurus,
    required this.thesaurusInput,
    required this.selfCreatedThesaurus,
    required this.thesaurusNameInputTip,
    required this.defualt,
    required this.organization,
    required this.selfCreated,
    required this.humanAlong,
    required this.beastAlong,
    required this.serveObj,
    required this.useFisDefaultThesaurus,
    required this.createThesaurus,
    required this.vocSelectionValidationTip,
    required this.vocImport,
    required this.vocTemplateType,
    required this.vocTemplateSelectionTip,
    required this.vocTemplateFormatErrTip,
    required this.description,
    required this.summary,
    required this.creations,
    required this.platFormDefault,
    required this.orgTemplate,
    required this.personalTemplate,
    required this.updateVocCat,
    required this.createVocCat,
    required this.inputCatName,
    required this.categoryName,
    required this.selectUpperCat,
    required this.vocEdit,
    required this.vocAdd,
    required this.vocDetails,
    required this.descriptionInput,
    required this.concolusionInput,
    required this.title,
    required this.message,
    required this.addSuccess,
    required this.addFailed,
    required this.updateVocSuccess,
    required this.updateVocBaseSuccess,
    required this.updateFailed,
    required this.delteVocBaseConfirm,
    required this.deleteVocBaseSuccess,
    required this.deleteFailed,
    required this.deleting,
    required this.deleteOrgVocBaseConrim,
    required this.creatFailed,
    required this.deleteVocConfirm,
    required this.deleteVocSuccess,
    required this.toast4NotEditYet,
    required this.vocabulary,
    required this.importVoc,
    required this.vocBaseName,
    required this.upperCategory,
    required this.selfCreatedVoc,
    required this.createVoc,
    required this.patientNamePlaceholder,
    required this.selectPatientToAssociate,
    required this.associateSuccess,
    required this.associateFail,
    required this.noCheckToHandle,
    required this.export,
    required this.exportSuccess,
    required this.deletePatientSuccess,
    required this.searchPatient,
    required this.createPatient,
    required this.createPatientShort,
    required this.createCase,
    required this.noMore,
    required this.petName,
    required this.ownerPhone,
    required this.otherInfo,
    required this.petId,
    required this.notFill,
    required this.age,
    required this.gender,
    required this.socialSecurityCardId,
    required this.type,
    required this.variety,
    required this.previous,
    required this.previousPage,
    required this.next,
    required this.nextPage,
    required this.associateCheck,
    required this.associateReport,
    required this.patientDetail,
    required this.caseDetail,
    required this.checkReport,
    required this.checkReportShort,
    required this.checkRecord,
    required this.checkRecordShort,
    required this.scanImage,
    required this.associatePatient,
    required this.patientNameToAssociatePlaceholder,
    required this.selectOperation,
    required this.associateCheckToCase,
    required this.moveImage,
    required this.moveImageToCheck,
    required this.time,
    required this.deliveryDevice,
    required this.selectCheck,
    required this.bindPatient,
    required this.cloudImage,
    required this.cloudImageShort,
    required this.localImage,
    required this.checkItem,
    required this.checkDoctor,
    required this.viewReport,
    required this.toScan4Label,
    required this.scanned4Label,
    required this.imageUploaded4Label,
    required this.reported4Label,
    required this.notFinished4Label,
    required this.viewDetail,
    required this.recentCheck,
    required this.registered,
    required this.notRegistered,
    required this.idCard,
    required this.createCheck,
    required this.associate,
    required this.associateUserTip,
    required this.transfer,
    required this.years,
    required this.month,
    required this.week,
    required this.day,
    required this.years4display,
    required this.month4display,
    required this.week4display,
    required this.day4display,
    required this.notImplemented,
    required this.check,
    required this.image,
    required this.selectInitTime,
    required this.selectEndTime,
    required this.registerStatus,
    required this.searchContact,
    required this.cloudReport,
    required this.associateImage,
    required this.preview,
    required this.print,
    required this.share,
    required this.creating,
    required this.finishing,
    required this.createSuccess,
    required this.selectDeliveryDevice,
    required this.selectCheckItem,
    required this.select,
    required this.selectTime,
    required this.editSuccess,
    required this.writeReport,
    required this.writeNewReport,
    required this.editPatient,
    required this.editCase,
    required this.submitSuccess,
    required this.submitFail,
    required this.defaultText,
    required this.pet,
    required this.auxiliaryConsultation,
    required this.selectTemplate,
    required this.wordSelectBox,
    required this.selectWordLibrary,
    required this.selectWord,
    required this.searchKeyword,
    required this.conclusion,
    required this.createWordClass,
    required this.parentClass,
    required this.endScan,
    required this.finishScan,
    required this.noScanImage,
    required this.removePatientConfirm,
    required this.reporter,
    required this.selectVoc,
    required this.hint4patientNotFound,
    required this.scanDate,
    required this.breast,
    required this.liver,
    required this.cholecyst,
    required this.kidney,
    required this.spleen,
    required this.noNeedAIYet,
    required this.didNotHandle,
    required this.didNotIdentify,
    required this.noAbnormal,
    required this.benign,
    required this.malignant,
    required this.benignWithMalignant,
    required this.clickAndSelectImage,
    required this.scanQrCodeToShareReport,
    required this.scanQrCodeToShare,
    required this.scanQrCodeToShareImage,
    required this.copyLink,
    required this.copySuccess,
    required this.errorScanData,
    required this.downloading,
    required this.packaging,
    required this.exportFinished,
    required this.exportFinishedWithSlectedPath,
    required this.exportAbortingTip,
    required this.exportTime,
    required this.exportItems,
    required this.examReport,
    required this.scanImageData,
    required this.batchExport,
    required this.patientExportSelectionTip,
    required this.selectAll,
    required this.cancelAll,
    required this.hasNoChooseAgain,
    required this.measure,
    required this.previewReport,
    required this.editReport,
    required this.pleaseSelect,
    required this.restoreCache,
    required this.restoreCacheAlert,
    required this.speechInput,
    required this.startRecording,
    required this.endRecording,
    required this.identifying,
    required this.recording,
    required this.endSeconds,
    required this.invalidIDInputError,
    required this.maxParticipantLimit,
    required this.startScan,
    required this.scanOcuppiedTip,
    required this.scanOcuppiedDetailTip,
    required this.startScanSuccess,
    required this.isAutoCreateExam,
  });

  static const ModuleName = "remedical";

  factory RemedicalModule(Map<String, dynamic> map) {
    return RemedicalModule._(
      submitSuccessToTransferList: map.pick("submitSuccessToTransferList"),
      submitSuccessToCompleteList: map.pick("submitSuccessToCompleteList"),
      owner: map.pick("owner"),
      selectGender: map.pick("selectGender"),
      selectCategory: map.pick("selectCategory"),
      reportDoctor: map.pick("reportDoctor"),
      manualMeasurement: map.pick("manualMeasurement"),
      aiMeasurement: map.pick("aiMeasurement"),
      remoteParameterNotSupported: map.pick("remoteParameterNotSupported"),
      viewMaterials: map.pick("viewMaterials"),
      notSupportFileView: map.pick("notSupportFileView"),
      patientManagement: map.pick("patientManagement"),
      examinationDetails: map.pick("examinationDetails"),
      history: map.pick("history"),
      processed: map.pick("processed"),
      copyClassCode: map.pick("copyClassCode"),
      updatePackageName: map.pick("updatePackageName"),
      applicableSystemVersion: map.pick("applicableSystemVersion"),
      applicableSoftwareVersion: map.pick("applicableSoftwareVersion"),
      currentOrganization: map.pick("currentOrganization"),
      completed: map.pick("completed"),
      medicalHistory: map.pick("medicalHistory"),
      transferiIn: map.pick("transferiIn"),
      transferOut: map.pick("transferOut"),
      downloadingLogs: map.pick("downloadingLogs"),
      RetrievingLog: map.pick("RetrievingLog"),
      ImageProcessing: map.pick("ImageProcessing"),
      resultsExported: map.pick("resultsExported"),
      confirmCloseCurrentConsultation:
          map.pick("confirmCloseCurrentConsultation"),
      recordingInterrupted: map.pick("recordingInterrupted"),
      inputExistedTerm: map.pick("inputExistedTerm"),
      noEntrys: map.pick("noEntrys"),
      leftNeck: map.pick("leftNeck"),
      rightNeck: map.pick("rightNeck"),
      reportList: map.pick("reportList"),
      imageUnidentifiedCarotidArtery:
          map.pick("imageUnidentifiedCarotidArtery"),
      referralHistory: map.pick("referralHistory"),
      referralRequest: map.pick("referralRequest"),
      calibrationLine: map.pick("calibrationLine"),
      referralReport: map.pick("referralReport"),
      agree: map.pick("agree"),
      reportNoInit: map.pick("reportNoInit"),
      shareTerminalSuccess: map.pick("shareTerminalSuccess"),
      WithDrawn: map.pick("WithDrawn"),
      pending: map.pick("pending"),
      addReportTag: map.pick("addReportTag"),
      addTag: map.pick("addTag"),
      natureOfLesion: map.pick("natureOfLesion"),
      lesionClassification: map.pick("lesionClassification"),
      lesionClassificationExist: map.pick("lesionClassificationExist"),
      notFoundTag: map.pick("notFoundTag"),
      canNotTag: map.pick("canNotTag"),
      addedTags: map.pick("addedTags"),
      selectTags: map.pick("selectTags"),
      searchOrSelectTags: map.pick("searchOrSelectTags"),
      searchOrSelectClassification: map.pick("searchOrSelectClassification"),
      doNotRemind: map.pick("doNotRemind"),
      hasWithDrawn: map.pick("hasWithDrawn"),
      timedOut: map.pick("timedOut"),
      accepted: map.pick("accepted"),
      transferDoctor: map.pick("transferDoctor"),
      transferOrganization: map.pick("transferOrganization"),
      transferApply: map.pick("transferApply"),
      transferTime: map.pick("transferTime"),
      transferSubjectMatter: map.pick("transferSubjectMatter"),
      transferOutAgency: map.pick("transferOutAgency"),
      patientDisplayName: map.pick("patientDisplayName"),
      transferredOut: map.pick("transferredOut"),
      transferred: map.pick("transferred"),
      refuse: map.pick("refuse"),
      refused: map.pick("refused"),
      myPatient: map.pick("myPatient"),
      referPatient: map.pick("referPatient"),
      patientName: map.pick("patientName"),
      patientFrom: map.pick("patientFrom"),
      noEntry: map.pick("noEntry"),
      messageShare: map.pick("messageShare"),
      shortMessage: map.pick("shortMessage"),
      qrCode: map.pick("qrCode"),
      moments: map.pick("moments"),
      wechatFriend: map.pick("wechatFriend"),
      wechatShare: map.pick("wechatShare"),
      imagesShare: map.pick("imagesShare"),
      noImageToShare: map.pick("noImageToShare"),
      shareSuccess: map.pick("shareSuccess"),
      shareFailed: map.pick("shareFailed"),
      getShareLinkFailed: map.pick("getShareLinkFailed"),
      selectContentToShare: map.pick("selectContentToShare"),
      smsShare: map.pick("smsShare"),
      noOpenWx: map.pick("noOpenWx"),
      noReport: map.pick("noReport"),
      aiReport: map.pick("aiReport"),
      ultrasoundReport: map.pick("ultrasoundReport"),
      editThesaurus: map.pick("editThesaurus"),
      thesaurusInput: map.pick("thesaurusInput"),
      selfCreatedThesaurus: map.pick("selfCreatedThesaurus"),
      thesaurusNameInputTip: map.pick("thesaurusNameInputTip"),
      defualt: map.pick("defualt"),
      organization: map.pick("organization"),
      selfCreated: map.pick("selfCreated"),
      humanAlong: map.pick("humanAlong"),
      beastAlong: map.pick("beastAlong"),
      serveObj: map.pick("serveObj"),
      useFisDefaultThesaurus: map.pick("useFisDefaultThesaurus"),
      createThesaurus: map.pick("createThesaurus"),
      vocSelectionValidationTip: map.pick("vocSelectionValidationTip"),
      vocImport: map.pick("vocImport"),
      vocTemplateType: map.pick("vocTemplateType"),
      vocTemplateSelectionTip: map.pick("vocTemplateSelectionTip"),
      vocTemplateFormatErrTip: map.pick("vocTemplateFormatErrTip"),
      description: map.pick("description"),
      summary: map.pick("summary"),
      creations: map.pick("creations"),
      platFormDefault: map.pick("platFormDefault"),
      orgTemplate: map.pick("orgTemplate"),
      personalTemplate: map.pick("personalTemplate"),
      updateVocCat: map.pick("updateVocCat"),
      createVocCat: map.pick("createVocCat"),
      inputCatName: map.pick("inputCatName"),
      categoryName: map.pick("categoryName"),
      selectUpperCat: map.pick("selectUpperCat"),
      vocEdit: map.pick("vocEdit"),
      vocAdd: map.pick("vocAdd"),
      vocDetails: map.pick("vocDetails"),
      descriptionInput: map.pick("descriptionInput"),
      concolusionInput: map.pick("concolusionInput"),
      title: map.pick("title"),
      message: map.pick("message"),
      addSuccess: map.pick("addSuccess"),
      addFailed: map.pick("addFailed"),
      updateVocSuccess: map.pick("updateVocSuccess"),
      updateVocBaseSuccess: map.pick("updateVocBaseSuccess"),
      updateFailed: map.pick("updateFailed"),
      delteVocBaseConfirm: map.pick("delteVocBaseConfirm"),
      deleteVocBaseSuccess: map.pick("deleteVocBaseSuccess"),
      deleteFailed: map.pick("deleteFailed"),
      deleting: map.pick("deleting"),
      deleteOrgVocBaseConrim: map.pick("deleteOrgVocBaseConrim"),
      creatFailed: map.pick("creatFailed"),
      deleteVocConfirm: map.pick("deleteVocConfirm"),
      deleteVocSuccess: map.pick("deleteVocSuccess"),
      toast4NotEditYet: map.pick("toast4NotEditYet"),
      vocabulary: map.pick("vocabulary"),
      importVoc: map.pick("importVoc"),
      vocBaseName: map.pick("vocBaseName"),
      upperCategory: map.pick("upperCategory"),
      selfCreatedVoc: map.pick("selfCreatedVoc"),
      createVoc: map.pick("createVoc"),
      patientNamePlaceholder: map.pick("patientNamePlaceholder"),
      selectPatientToAssociate: map.pick("selectPatientToAssociate"),
      associateSuccess: map.pick("associateSuccess"),
      associateFail: map.pick("associateFail"),
      noCheckToHandle: map.pick("noCheckToHandle"),
      export: map.pick("export"),
      exportSuccess: map.pick("exportSuccess"),
      deletePatientSuccess: map.pick("deletePatientSuccess"),
      searchPatient: map.pick("searchPatient"),
      createPatient: map.pick("createPatient"),
      createPatientShort: map.pick("createPatientShort"),
      createCase: map.pick("createCase"),
      noMore: map.pick("noMore"),
      petName: map.pick("petName"),
      ownerPhone: map.pick("ownerPhone"),
      otherInfo: map.pick("otherInfo"),
      petId: map.pick("petId"),
      notFill: map.pick("notFill"),
      age: map.pick("age"),
      gender: map.pick("gender"),
      socialSecurityCardId: map.pick("socialSecurityCardId"),
      type: map.pick("type"),
      variety: map.pick("variety"),
      previous: map.pick("previous"),
      previousPage: map.pick("previousPage"),
      next: map.pick("next"),
      nextPage: map.pick("nextPage"),
      associateCheck: map.pick("associateCheck"),
      associateReport: map.pick("associateReport"),
      patientDetail: map.pick("patientDetail"),
      caseDetail: map.pick("caseDetail"),
      checkReport: map.pick("checkReport"),
      checkReportShort: map.pick("checkReportShort"),
      checkRecord: map.pick("checkRecord"),
      checkRecordShort: map.pick("checkRecordShort"),
      scanImage: map.pick("scanImage"),
      associatePatient: map.pick("associatePatient"),
      patientNameToAssociatePlaceholder:
          map.pick("patientNameToAssociatePlaceholder"),
      selectOperation: map.pick("selectOperation"),
      associateCheckToCase: map.pick("associateCheckToCase"),
      moveImage: map.pick("moveImage"),
      moveImageToCheck: map.pick("moveImageToCheck"),
      time: map.pick("time"),
      deliveryDevice: map.pick("deliveryDevice"),
      selectCheck: map.pick("selectCheck"),
      bindPatient: map.pick("bindPatient"),
      cloudImage: map.pick("cloudImage"),
      cloudImageShort: map.pick("cloudImageShort"),
      localImage: map.pick("localImage"),
      checkItem: map.pick("checkItem"),
      checkDoctor: map.pick("checkDoctor"),
      viewReport: map.pick("viewReport"),
      toScan4Label: map.pick("toScan4Label"),
      scanned4Label: map.pick("scanned4Label"),
      imageUploaded4Label: map.pick("imageUploaded4Label"),
      reported4Label: map.pick("reported4Label"),
      notFinished4Label: map.pick("notFinished4Label"),
      viewDetail: map.pick("viewDetail"),
      recentCheck: map.pick("recentCheck"),
      registered: map.pick("registered"),
      notRegistered: map.pick("notRegistered"),
      idCard: map.pick("idCard"),
      createCheck: map.pick("createCheck"),
      associate: map.pick("associate"),
      associateUserTip: map.pick("associateUserTip"),
      transfer: map.pick("transfer"),
      years: map.pick("years"),
      month: map.pick("month"),
      week: map.pick("week"),
      day: map.pick("day"),
      years4display: map.pick("years4display"),
      month4display: map.pick("month4display"),
      week4display: map.pick("week4display"),
      day4display: map.pick("day4display"),
      notImplemented: map.pick("notImplemented"),
      check: map.pick("check"),
      image: map.pick("image"),
      selectInitTime: map.pick("selectInitTime"),
      selectEndTime: map.pick("selectEndTime"),
      registerStatus: map.pick("registerStatus"),
      searchContact: map.pick("searchContact"),
      cloudReport: map.pick("cloudReport"),
      associateImage: map.pick("associateImage"),
      preview: map.pick("preview"),
      print: map.pick("print"),
      share: map.pick("share"),
      creating: map.pick("creating"),
      finishing: map.pick("finishing"),
      createSuccess: map.pick("createSuccess"),
      selectDeliveryDevice: map.pick("selectDeliveryDevice"),
      selectCheckItem: map.pick("selectCheckItem"),
      select: map.pick("select"),
      selectTime: map.pick("selectTime"),
      editSuccess: map.pick("editSuccess"),
      writeReport: map.pick("writeReport"),
      writeNewReport: map.pick("writeNewReport"),
      editPatient: map.pick("editPatient"),
      editCase: map.pick("editCase"),
      submitSuccess: map.pick("submitSuccess"),
      submitFail: map.pick("submitFail"),
      defaultText: map.pick("defaultText"),
      pet: map.pick("pet"),
      auxiliaryConsultation: map.pick("auxiliaryConsultation"),
      selectTemplate: map.pick("selectTemplate"),
      wordSelectBox: map.pick("wordSelectBox"),
      selectWordLibrary: map.pick("selectWordLibrary"),
      selectWord: map.pick("selectWord"),
      searchKeyword: map.pick("searchKeyword"),
      conclusion: map.pick("conclusion"),
      createWordClass: map.pick("createWordClass"),
      parentClass: map.pick("parentClass"),
      endScan: map.pick("endScan"),
      finishScan: map.pick("finishScan"),
      noScanImage: map.pick("noScanImage"),
      removePatientConfirm: map.pick("removePatientConfirm"),
      reporter: map.pick("reporter"),
      selectVoc: map.pick("selectVoc"),
      hint4patientNotFound: map.pick("hint4patientNotFound"),
      scanDate: map.pick("scanDate"),
      breast: map.pick("breast"),
      liver: map.pick("liver"),
      cholecyst: map.pick("cholecyst"),
      kidney: map.pick("kidney"),
      spleen: map.pick("spleen"),
      noNeedAIYet: map.pick("noNeedAIYet"),
      didNotHandle: map.pick("didNotHandle"),
      didNotIdentify: map.pick("didNotIdentify"),
      noAbnormal: map.pick("noAbnormal"),
      benign: map.pick("benign"),
      malignant: map.pick("malignant"),
      benignWithMalignant: map.pick("benignWithMalignant"),
      clickAndSelectImage: map.pick("clickAndSelectImage"),
      scanQrCodeToShareReport: map.pick("scanQrCodeToShareReport"),
      scanQrCodeToShare: map.pick("scanQrCodeToShare"),
      scanQrCodeToShareImage: map.pick("scanQrCodeToShareImage"),
      copyLink: map.pick("copyLink"),
      copySuccess: map.pick("copySuccess"),
      errorScanData: map.pick("errorScanData"),
      downloading: map.pick("downloading"),
      packaging: map.pick("packaging"),
      exportFinished: map.pick("exportFinished"),
      exportFinishedWithSlectedPath: map.pick("exportFinishedWithSlectedPath"),
      exportAbortingTip: map.pick("exportAbortingTip"),
      exportTime: map.pick("exportTime"),
      exportItems: map.pick("exportItems"),
      examReport: map.pick("examReport"),
      scanImageData: map.pick("scanImageData"),
      batchExport: map.pick("batchExport"),
      patientExportSelectionTip: map.pick("patientExportSelectionTip"),
      selectAll: map.pick("selectAll"),
      cancelAll: map.pick("cancelAll"),
      hasNoChooseAgain: map.pick("hasNoChooseAgain"),
      measure: map.pick("measure"),
      previewReport: map.pick("previewReport"),
      editReport: map.pick("editReport"),
      pleaseSelect: map.pick("pleaseSelect"),
      restoreCache: map.pick("restoreCache"),
      restoreCacheAlert: map.pick("restoreCacheAlert"),
      speechInput: map.pick("speechInput"),
      startRecording: map.pick("startRecording"),
      endRecording: map.pick("endRecording"),
      identifying: map.pick("identifying"),
      recording: map.pick("recording"),
      endSeconds: map.pick("endSeconds"),
      invalidIDInputError: map.pick("invalidIDInputError"),
      maxParticipantLimit: map.pick("maxParticipantLimit"),
      startScan: map.pick("startScan"),
      scanOcuppiedTip: map.pick("scanOcuppiedTip"),
      scanOcuppiedDetailTip: map.pick("scanOcuppiedDetailTip"),
      startScanSuccess: map.pick("startScanSuccess"),
      isAutoCreateExam: map.pick("isAutoCreateExam"),
    );
  }

  /// 提交成功，请至“已转出”列表查看
  final FTrStr submitSuccessToTransferList;

  /// 提交成功，请至“已完成”列表查看
  final FTrStr submitSuccessToCompleteList;

  /// 主人
  final FTrStr owner;

  /// 选择性别
  final FTrStr selectGender;

  /// 种类选择
  final FTrStr selectCategory;

  /// 报告医师
  final FTrStr reportDoctor;

  /// 手动测量
  final FTrStr manualMeasurement;

  /// AI测量
  final FTrStr aiMeasurement;

  /// 该设备不支持远程调参
  final FTrStr remoteParameterNotSupported;

  /// 查看素材
  final FTrStr viewMaterials;

  /// 当前文件格式不支持预览
  final FTrStr notSupportFileView;

  /// 病人管理
  final FTrStr patientManagement;

  /// 检查详情
  final FTrStr examinationDetails;

  /// 历史记录
  final FTrStr history;

  /// 已处理
  final FTrStr processed;

  /// 拷贝班级编码
  final FTrStr copyClassCode;

  /// 更新包名称
  final FTrStr updatePackageName;

  /// 适用系统版本
  final FTrStr applicableSystemVersion;

  /// 适用软件版本
  final FTrStr applicableSoftwareVersion;

  /// 当前机构
  final FTrStr currentOrganization;

  /// 已完成
  final FTrStr completed;

  /// 该病人的历史记录
  final FTrStr medicalHistory;

  /// 转入
  final FTrStr transferiIn;

  /// 转出
  final FTrStr transferOut;

  /// 下载日志中
  final FTrStr downloadingLogs;

  /// 获取日志中
  final FTrStr RetrievingLog;

  /// 正在处理图像，请稍后再试
  final FTrStr ImageProcessing;

  /// 测量值导出
  final FTrStr resultsExported;

  /// 确定关闭当前会诊并开启新的会诊？
  final FTrStr confirmCloseCurrentConsultation;

  /// 录音尚未结束
  final FTrStr recordingInterrupted;

  /// 请输入存在的词条库名称
  final FTrStr inputExistedTerm;

  /// 暂无词条
  final FTrStr noEntrys;

  /// 左颈
  final FTrStr leftNeck;

  /// 右颈
  final FTrStr rightNeck;

  /// 报告列表
  final FTrStr reportList;

  /// 未标识的颈动脉图像
  final FTrStr imageUnidentifiedCarotidArtery;

  /// 转诊历史
  final FTrStr referralHistory;

  /// 转诊申请
  final FTrStr referralRequest;

  /// 校准线
  final FTrStr calibrationLine;

  /// 转诊报告
  final FTrStr referralReport;

  /// 同意
  final FTrStr agree;

  /// 报告尚未生成，请稍后再试
  final FTrStr reportNoInit;

  /// 设备分享成功
  final FTrStr shareTerminalSuccess;

  /// 撤回
  final FTrStr WithDrawn;

  /// 待处理
  final FTrStr pending;

  /// 添加报告标签
  final FTrStr addReportTag;

  /// 添加标签
  final FTrStr addTag;

  /// 病灶性质
  final FTrStr natureOfLesion;

  /// 病灶分类
  final FTrStr lesionClassification;

  /// 此分类已存在
  final FTrStr lesionClassificationExist;

  /// 找不到该标签
  final FTrStr notFoundTag;

  /// 不支持自定义标签
  final FTrStr canNotTag;

  /// 已添加的标签
  final FTrStr addedTags;

  /// 请选择需要添加的标签
  final FTrStr selectTags;

  /// 搜索或选择标签
  final FTrStr searchOrSelectTags;

  /// 搜索或选择分类
  final FTrStr searchOrSelectClassification;

  /// 以后不再提醒我
  final FTrStr doNotRemind;

  /// 已撤回
  final FTrStr hasWithDrawn;

  /// 已超时
  final FTrStr timedOut;

  /// 已受理
  final FTrStr accepted;

  /// 转入医生
  final FTrStr transferDoctor;

  /// 转入医院
  final FTrStr transferOrganization;

  /// 转出申请人
  final FTrStr transferApply;

  /// 转出时间
  final FTrStr transferTime;

  /// 转诊事由
  final FTrStr transferSubjectMatter;

  /// 转出医院
  final FTrStr transferOutAgency;

  /// 病人姓名
  final FTrStr patientDisplayName;

  /// 已转出
  final FTrStr transferredOut;

  /// 已转入
  final FTrStr transferred;

  /// 拒绝
  final FTrStr refuse;

  /// 已拒绝
  final FTrStr refused;

  /// 我的病人
  final FTrStr myPatient;

  /// 转入病人
  final FTrStr referPatient;

  /// 病人名
  final FTrStr patientName;

  /// 来自于
  final FTrStr patientFrom;

  /// 未查找到词条
  final FTrStr noEntry;

  /// 短信分享
  final FTrStr messageShare;

  /// 短信
  final FTrStr shortMessage;

  /// 二维码
  final FTrStr qrCode;

  /// 朋友圈
  final FTrStr moments;

  /// 微信好友
  final FTrStr wechatFriend;

  /// 微信分享
  final FTrStr wechatShare;

  /// 图像分享
  final FTrStr imagesShare;

  /// 暂无可分享的图像
  final FTrStr noImageToShare;

  /// 分享成功
  final FTrStr shareSuccess;

  /// 分享失败
  final FTrStr shareFailed;

  /// 分享链接获取失败
  final FTrStr getShareLinkFailed;

  /// 请选择需要分享的内容
  final FTrStr selectContentToShare;

  /// 【杏聆荟】{0}的检查报告已生成，可点击{1}查看报告。
  final FTrStr smsShare;

  /// 无法打开微信 请检查是否安装了微信
  final FTrStr noOpenWx;

  /// 暂无报告
  final FTrStr noReport;

  /// AI报告
  final FTrStr aiReport;

  /// 超声报告
  final FTrStr ultrasoundReport;

  /// 编辑词条库
  final FTrStr editThesaurus;

  /// 请输入词条
  final FTrStr thesaurusInput;

  /// 自建词条库
  final FTrStr selfCreatedThesaurus;

  /// 请输入词条库名称
  final FTrStr thesaurusNameInputTip;

  /// 默认
  final FTrStr defualt;

  /// 医院
  final FTrStr organization;

  /// 自建
  final FTrStr selfCreated;

  /// 人用
  final FTrStr humanAlong;

  /// 兽用
  final FTrStr beastAlong;

  /// 服务对象
  final FTrStr serveObj;

  /// 使用杏聆荟词条库模板
  final FTrStr useFisDefaultThesaurus;

  /// 创建词条库
  final FTrStr createThesaurus;

  /// 请选择.json格式的文件
  final FTrStr vocSelectionValidationTip;

  /// 词条导入
  final FTrStr vocImport;

  /// 模板类型
  final FTrStr vocTemplateType;

  /// 请选择词条文件
  final FTrStr vocTemplateSelectionTip;

  /// 请导入正确的json格式词条文件
  final FTrStr vocTemplateFormatErrTip;

  /// 描述
  final FTrStr description;

  /// 结论
  final FTrStr summary;

  /// 创建方式
  final FTrStr creations;

  /// 平台默认
  final FTrStr platFormDefault;

  /// 医院创建
  final FTrStr orgTemplate;

  /// 自建
  final FTrStr personalTemplate;

  /// 更新词条分类
  final FTrStr updateVocCat;

  /// 创建词条分类
  final FTrStr createVocCat;

  /// 请输入分类名称
  final FTrStr inputCatName;

  /// 分类名称
  final FTrStr categoryName;

  /// 请选择上级分类
  final FTrStr selectUpperCat;

  /// 编辑词条
  final FTrStr vocEdit;

  /// 添加词条
  final FTrStr vocAdd;

  /// 词条详情
  final FTrStr vocDetails;

  /// 请输入描述
  final FTrStr descriptionInput;

  /// 请输入结论
  final FTrStr concolusionInput;

  /// 标题
  final FTrStr title;

  /// 消息
  final FTrStr message;

  /// 添加成功
  final FTrStr addSuccess;

  /// 添加失败
  final FTrStr addFailed;

  /// 更新词条库成功
  final FTrStr updateVocSuccess;

  /// 更新医院词条库成功
  final FTrStr updateVocBaseSuccess;

  /// 更新失败
  final FTrStr updateFailed;

  /// 确定删除该词条库吗？
  final FTrStr delteVocBaseConfirm;

  /// 删除词条库成功
  final FTrStr deleteVocBaseSuccess;

  /// 删除失败！
  final FTrStr deleteFailed;

  /// 正在删除...
  final FTrStr deleting;

  /// 确定删除该医院词条库吗？
  final FTrStr deleteOrgVocBaseConrim;

  /// 创建失败
  final FTrStr creatFailed;

  /// 确定删除该词条吗？
  final FTrStr deleteVocConfirm;

  /// 删除词条成功
  final FTrStr deleteVocSuccess;

  /// 未编辑，请编辑后提交修改
  final FTrStr toast4NotEditYet;

  /// 词条
  final FTrStr vocabulary;

  /// 导入
  final FTrStr importVoc;

  /// 词条库名称
  final FTrStr vocBaseName;

  /// 上级分类
  final FTrStr upperCategory;

  /// 自定义词条库
  final FTrStr selfCreatedVoc;

  /// 创建词条
  final FTrStr createVoc;

  /// 请输入病人姓名
  final FTrStr patientNamePlaceholder;

  /// 请选择关联的病人
  final FTrStr selectPatientToAssociate;

  /// 关联成功
  final FTrStr associateSuccess;

  /// 关联失败
  final FTrStr associateFail;

  /// 该用户暂无需要处理的检查
  final FTrStr noCheckToHandle;

  /// 导出
  final FTrStr export;

  /// 导出成功
  final FTrStr exportSuccess;

  /// 删除病人成功
  final FTrStr deletePatientSuccess;

  /// 搜索病人
  final FTrStr searchPatient;

  /// 创建病人
  final FTrStr createPatient;

  /// 创建病人
  final FTrStr createPatientShort;

  /// 创建病例
  final FTrStr createCase;

  /// 已经到底了呀
  final FTrStr noMore;

  /// 宠物名
  final FTrStr petName;

  /// 主人手机号
  final FTrStr ownerPhone;

  /// 其他信息
  final FTrStr otherInfo;

  /// 宠物证号
  final FTrStr petId;

  /// 未填写
  final FTrStr notFill;

  /// 年龄
  final FTrStr age;

  /// 性别
  final FTrStr gender;

  /// 社保卡号
  final FTrStr socialSecurityCardId;

  /// 种类
  final FTrStr type;

  /// 品种
  final FTrStr variety;

  /// 上一条
  final FTrStr previous;

  /// 上一页
  final FTrStr previousPage;

  /// 下一条
  final FTrStr next;

  /// 下一页
  final FTrStr nextPage;

  /// 关联检查
  final FTrStr associateCheck;

  /// 关联报告
  final FTrStr associateReport;

  /// 病人详情
  final FTrStr patientDetail;

  /// 病例详情
  final FTrStr caseDetail;

  /// 检查报告
  final FTrStr checkReport;

  /// 检查报告
  final FTrStr checkReportShort;

  /// 检查记录
  final FTrStr checkRecord;

  /// 检查记录
  final FTrStr checkRecordShort;

  /// 扫查图像
  final FTrStr scanImage;

  /// 关联病人
  final FTrStr associatePatient;

  /// 请输入病人姓名关联病例
  final FTrStr patientNameToAssociatePlaceholder;

  /// 请选择需要执行的操作
  final FTrStr selectOperation;

  /// 关联检查：将当前检查关联至该病例名下
  final FTrStr associateCheckToCase;

  /// 迁移图像
  final FTrStr moveImage;

  /// 将扫查图像迁移至该病例已下发的检查中
  final FTrStr moveImageToCheck;

  /// 时间
  final FTrStr time;

  /// 下发设备
  final FTrStr deliveryDevice;

  /// 请选择需关联的检查
  final FTrStr selectCheck;

  /// 绑定病人
  final FTrStr bindPatient;

  /// 远程图像
  final FTrStr cloudImage;

  /// 远程图像
  final FTrStr cloudImageShort;

  /// 本地图像
  final FTrStr localImage;

  /// 检查项目
  final FTrStr checkItem;

  /// 检查医生
  final FTrStr checkDoctor;

  /// 查看报告
  final FTrStr viewReport;

  /// 待扫查
  final FTrStr toScan4Label;

  /// 已扫查
  final FTrStr scanned4Label;

  /// 已传图
  final FTrStr imageUploaded4Label;

  /// 已报告
  final FTrStr reported4Label;

  /// 未完成
  final FTrStr notFinished4Label;

  /// 查看详情
  final FTrStr viewDetail;

  /// 近期检查
  final FTrStr recentCheck;

  /// 已登记
  final FTrStr registered;

  /// 未登记
  final FTrStr notRegistered;

  /// 身份证号
  final FTrStr idCard;

  /// 创建检查
  final FTrStr createCheck;

  /// 关联
  final FTrStr associate;

  /// 关联后即可登记为平台正式病人，能被平台准确识别并追溯诊断历史
  final FTrStr associateUserTip;

  /// 转诊
  final FTrStr transfer;

  /// 岁
  final FTrStr years;

  /// 月
  final FTrStr month;

  /// 周
  final FTrStr week;

  /// 天
  final FTrStr day;

  /// 岁
  final FTrStr years4display;

  /// 月
  final FTrStr month4display;

  /// 周
  final FTrStr week4display;

  /// 天
  final FTrStr day4display;

  /// 尚未实现
  final FTrStr notImplemented;

  /// 检查
  final FTrStr check;

  /// 图像
  final FTrStr image;

  /// 选择初始时间
  final FTrStr selectInitTime;

  /// 选择结束时间
  final FTrStr selectEndTime;

  /// 登记状态
  final FTrStr registerStatus;

  /// 搜索联系人
  final FTrStr searchContact;

  /// 云端报告
  final FTrStr cloudReport;

  /// 关联图像
  final FTrStr associateImage;

  /// 预览
  final FTrStr preview;

  /// 打印
  final FTrStr print;

  /// 分享
  final FTrStr share;

  /// 正在创建...
  final FTrStr creating;

  /// 正在结束...
  final FTrStr finishing;

  /// 创建成功
  final FTrStr createSuccess;

  /// 选择下发设备
  final FTrStr selectDeliveryDevice;

  /// 选择检查项目
  final FTrStr selectCheckItem;

  /// 请选择
  final FTrStr select;

  /// 选择时间
  final FTrStr selectTime;

  /// 编辑成功
  final FTrStr editSuccess;

  /// 撰写报告
  final FTrStr writeReport;

  /// 添加报告
  final FTrStr writeNewReport;

  /// 编辑病人
  final FTrStr editPatient;

  /// 编辑病例
  final FTrStr editCase;

  /// 提交成功
  final FTrStr submitSuccess;

  /// 提交失败
  final FTrStr submitFail;

  /// 默认
  final FTrStr defaultText;

  /// 宠物
  final FTrStr pet;

  /// 辅助咨询单
  final FTrStr auxiliaryConsultation;

  /// 选择模板
  final FTrStr selectTemplate;

  /// 词条选择框
  final FTrStr wordSelectBox;

  /// 请选择词条库
  final FTrStr selectWordLibrary;

  /// 选择词条
  final FTrStr selectWord;

  /// 搜索关键字
  final FTrStr searchKeyword;

  /// 结论
  final FTrStr conclusion;

  /// 创建词条分类
  final FTrStr createWordClass;

  /// 上级分类
  final FTrStr parentClass;

  /// 结束扫查
  final FTrStr endScan;

  /// 是否需结束扫查？
  final FTrStr finishScan;

  /// 该检查无扫查图像！
  final FTrStr noScanImage;

  /// 确定删除该病人吗？
  final FTrStr removePatientConfirm;

  /// 报告人：
  final FTrStr reporter;

  /// 词条库选择：
  final FTrStr selectVoc;

  /// 暂未找到“{0}”，是否以该姓名创建新病例？
  final FTrStr hint4patientNotFound;

  /// 扫查日期：{0}
  final FTrStr scanDate;

  /// 乳腺
  final FTrStr breast;

  /// 肝脏
  final FTrStr liver;

  /// 胆囊
  final FTrStr cholecyst;

  /// 肾脏
  final FTrStr kidney;

  /// 脾脏
  final FTrStr spleen;

  /// 暂无AI诊断要求
  final FTrStr noNeedAIYet;

  /// 未处理
  final FTrStr didNotHandle;

  /// 未识别
  final FTrStr didNotIdentify;

  /// 未见异常
  final FTrStr noAbnormal;

  /// 良性可能
  final FTrStr benign;

  /// 恶性
  final FTrStr malignant;

  /// 恶性可能
  final FTrStr benignWithMalignant;

  /// 请点击后选择图片
  final FTrStr clickAndSelectImage;

  /// 扫描二维码，分享报告
  final FTrStr scanQrCodeToShareReport;

  /// 请扫描二维码
  final FTrStr scanQrCodeToShare;

  /// 扫描二维码，分享图片
  final FTrStr scanQrCodeToShareImage;

  /// 复制链接
  final FTrStr copyLink;

  /// 复制成功
  final FTrStr copySuccess;

  /// 筛选时间出错
  final FTrStr errorScanData;

  /// 下载中...
  final FTrStr downloading;

  /// 打包中...
  final FTrStr packaging;

  /// 导出完成！请前往桌面查看
  final FTrStr exportFinished;

  /// 导出完成！
  final FTrStr exportFinishedWithSlectedPath;

  /// 确定取消导出操作？
  final FTrStr exportAbortingTip;

  /// 导出时间
  final FTrStr exportTime;

  /// 导出内容
  final FTrStr exportItems;

  /// 检查报告
  final FTrStr examReport;

  /// 扫查图像
  final FTrStr scanImageData;

  /// 批量导出
  final FTrStr batchExport;

  /// 请选择您要导出的病人
  final FTrStr patientExportSelectionTip;

  /// 全选
  final FTrStr selectAll;

  /// 取消全选
  final FTrStr cancelAll;

  /// 未找到可转诊的医生，请重新选择转入医院
  final FTrStr hasNoChooseAgain;

  /// 图像测量
  final FTrStr measure;

  /// 报告预览
  final FTrStr previewReport;

  /// 编辑报告
  final FTrStr editReport;

  /// 请选择{0}
  final FTrStr pleaseSelect;

  /// 已恢复上次未完成的内容
  final FTrStr restoreCache;

  /// 存在未完成的内容，使用了其他模板，是否需要切换模板并恢复未完成的内容？
  final FTrStr restoreCacheAlert;

  /// 语音输入
  final FTrStr speechInput;

  /// 开始录音
  final FTrStr startRecording;

  /// 结束录音
  final FTrStr endRecording;

  /// 语音识别中...
  final FTrStr identifying;

  /// 录音中
  final FTrStr recording;

  /// {0}秒后自动结束
  final FTrStr endSeconds;

  /// 身份证号输入有误
  final FTrStr invalidIDInputError;

  /// 参与人数最多为6人
  final FTrStr maxParticipantLimit;

  /// 开始扫查
  final FTrStr startScan;

  /// 扫查被占用
  final FTrStr scanOcuppiedTip;

  /// 上次检查尚未结束，是否自动结束并开始本次扫查？
  final FTrStr scanOcuppiedDetailTip;

  /// 开始扫查成功
  final FTrStr startScanSuccess;

  /// 是否自动创建检查
  final FTrStr isAutoCreateExam;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
