import 'package:fis_i18n/types.dart';

/// 远程控制模块
class RemoteControl extends ModuleBase {
  RemoteControl._({
    required this.updatePush,
    required this.selectPatchPackage,
    required this.printerDriverName,
    required this.printerBrand,
    required this.adaptSystemVersion,
    required this.supportedPrinterModels,
    required this.size,
    required this.releaseTime,
    required this.updateManagement,
    required this.printerDriverManagement,
    required this.localPrinterDriverFile,
    required this.fileTooLarge,
    required this.validationFailed,
    required this.verificationFailed,
    required this.applicableSystem,
    required this.applicableSoftware,
    required this.universal,
    required this.sizeMB,
    required this.serialNumber,
    required this.model,
    required this.softwareVersion,
    required this.systemVersion,
    required this.addVersionNumber,
    required this.enterUltrasoundSoftwareVersion,
    required this.enterUltrasoundSystemVersion,
    required this.selectAdaptedVersion,
    required this.uploadSuccess,
    required this.remoteParameterAdjustment,
    required this.probe,
    required this.application,
    required this.modeSelection,
    required this.parameterAdjustment,
    required this.addPrinter,
    required this.searchPrinter,
    required this.printerSettings,
    required this.previousStep,
    required this.nextStep,
    required this.installedPrinters,
    required this.searchAvailablePrinters,
    required this.addPrinterUsingTcpIp,
    required this.enterPrinterHostnameOrIpAddress,
    required this.hostnameOrIpAddress,
    required this.portName,
    required this.invalidIpAddressPleaseEnterAgain,
    required this.printer,
    required this.cloudDriverNotInstalled,
    required this.pushDriver,
    required this.paperSize,
    required this.paperOrientation,
    required this.searchCompleted,
    required this.searchCompletedNoPrintersAvailable,
    required this.pushFailed,
    required this.pleaseSelectPrinter,
    required this.systemSettings,
    required this.saveAndExit,
    required this.test,
    required this.apply,
    required this.editUpdatePackage,
    required this.updatePackageName,
    required this.adaptedDevices,
    required this.adaptedSoftwareVersions,
    required this.adaptedSystemVersions,
    required this.localUpdatePackageFile,
    required this.pleaseUploadFileFirst,
    required this.fileUploading,
    required this.progressBar,
    required this.selectTimeRange,
    required this.past24Hours,
    required this.pastWeek,
    required this.pastMonth,
    required this.pastYear,
    required this.customTime,
    required this.pushSuccess,
    required this.useCloudDriver,
    required this.testPrinter,
    required this.testingPrinter,
    required this.testSuccess,
    required this.downloadedSuccessInstalledPrinter,
    required this.downloadedLogs,
    required this.getLogsSuccess,
    required this.pushPackageSuccess,
    required this.pushPackageFailed,
    required this.deviceCancelDownloading,
    required this.deviceLogsDownloadingFailed,
    required this.deviceLogsCancelFailed,
    required this.deviceActiveDisconnection,
    required this.deviceTimeoutDisconnection,
    required this.exitTuning,
    required this.pagination,
    required this.testFailed,
    required this.testSucceeded,
    required this.remoteControl,
    required this.getLog,
    required this.reboot,
    required this.probeConnectionFailed,
    required this.connecting,
    required this.disconnecting,
    required this.clientTimeout,
    required this.selectUpdatePackage,
    required this.probeControlOff,
    required this.uploading,
    required this.uploadSucceeded,
    required this.uploadFailed,
    required this.probeInfoEmpty,
    required this.connectionFailed,
    required this.addApp,
    required this.hideApp,
    required this.showApp,
    required this.setDefault,
    required this.remark,
    required this.visibleApp,
    required this.currentDefault,
    required this.customApp,
    required this.saveReminder,
    required this.prompt,
    required this.changeTip,
    required this.userDefined,
    required this.deleteConfirm,
    required this.aiImage,
    required this.getUltrasoundLog,
    required this.pushPackage,
    required this.cancelDownloadInstallPackSuccess,
    required this.updatingPush,
    required this.cancelDownloadLogSuccess,
    required this.getLogSuccess,
    required this.invalidLicenseCode,
    required this.clearSuccess,
    required this.downloadLogSuccess,
    required this.cancelSearch,
    required this.connectedStorage,
    required this.unsupported3D4DRemoteControl,
    required this.thisKeyUnavailable,
    required this.confirmLeaveDuringUpload,
    required this.networkConnectionError,
    required this.existDriverName,
    required this.isOptionalFeatureEnabled,
    required this.deviceDisconnected,
    required this.noSensorDetected,
  });

  static const ModuleName = "remoteControl";

  factory RemoteControl(Map<String, dynamic> map) {
    return RemoteControl._(
      updatePush: map.pick("updatePush"),
      selectPatchPackage: map.pick("selectPatchPackage"),
      printerDriverName: map.pick("printerDriverName"),
      printerBrand: map.pick("printerBrand"),
      adaptSystemVersion: map.pick("adaptSystemVersion"),
      supportedPrinterModels: map.pick("supportedPrinterModels"),
      size: map.pick("size"),
      releaseTime: map.pick("releaseTime"),
      updateManagement: map.pick("updateManagement"),
      printerDriverManagement: map.pick("printerDriverManagement"),
      localPrinterDriverFile: map.pick("localPrinterDriverFile"),
      fileTooLarge: map.pick("fileTooLarge"),
      validationFailed: map.pick("validationFailed"),
      verificationFailed: map.pick("verificationFailed"),
      applicableSystem: map.pick("applicableSystem"),
      applicableSoftware: map.pick("applicableSoftware"),
      universal: map.pick("universal"),
      sizeMB: map.pick("sizeMB"),
      serialNumber: map.pick("serialNumber"),
      model: map.pick("model"),
      softwareVersion: map.pick("softwareVersion"),
      systemVersion: map.pick("systemVersion"),
      addVersionNumber: map.pick("addVersionNumber"),
      enterUltrasoundSoftwareVersion:
          map.pick("enterUltrasoundSoftwareVersion"),
      enterUltrasoundSystemVersion: map.pick("enterUltrasoundSystemVersion"),
      selectAdaptedVersion: map.pick("selectAdaptedVersion"),
      uploadSuccess: map.pick("uploadSuccess"),
      remoteParameterAdjustment: map.pick("remoteParameterAdjustment"),
      probe: map.pick("probe"),
      application: map.pick("application"),
      modeSelection: map.pick("modeSelection"),
      parameterAdjustment: map.pick("parameterAdjustment"),
      addPrinter: map.pick("addPrinter"),
      searchPrinter: map.pick("searchPrinter"),
      printerSettings: map.pick("printerSettings"),
      previousStep: map.pick("previousStep"),
      nextStep: map.pick("nextStep"),
      installedPrinters: map.pick("installedPrinters"),
      searchAvailablePrinters: map.pick("searchAvailablePrinters"),
      addPrinterUsingTcpIp: map.pick("addPrinterUsingTcpIp"),
      enterPrinterHostnameOrIpAddress:
          map.pick("enterPrinterHostnameOrIpAddress"),
      hostnameOrIpAddress: map.pick("hostnameOrIpAddress"),
      portName: map.pick("portName"),
      invalidIpAddressPleaseEnterAgain:
          map.pick("invalidIpAddressPleaseEnterAgain"),
      printer: map.pick("printer"),
      cloudDriverNotInstalled: map.pick("cloudDriverNotInstalled"),
      pushDriver: map.pick("pushDriver"),
      paperSize: map.pick("paperSize"),
      paperOrientation: map.pick("paperOrientation"),
      searchCompleted: map.pick("searchCompleted"),
      searchCompletedNoPrintersAvailable:
          map.pick("searchCompletedNoPrintersAvailable"),
      pushFailed: map.pick("pushFailed"),
      pleaseSelectPrinter: map.pick("pleaseSelectPrinter"),
      systemSettings: map.pick("systemSettings"),
      saveAndExit: map.pick("saveAndExit"),
      test: map.pick("test"),
      apply: map.pick("apply"),
      editUpdatePackage: map.pick("editUpdatePackage"),
      updatePackageName: map.pick("updatePackageName"),
      adaptedDevices: map.pick("adaptedDevices"),
      adaptedSoftwareVersions: map.pick("adaptedSoftwareVersions"),
      adaptedSystemVersions: map.pick("adaptedSystemVersions"),
      localUpdatePackageFile: map.pick("localUpdatePackageFile"),
      pleaseUploadFileFirst: map.pick("pleaseUploadFileFirst"),
      fileUploading: map.pick("fileUploading"),
      progressBar: map.pick("progressBar"),
      selectTimeRange: map.pick("selectTimeRange"),
      past24Hours: map.pick("past24Hours"),
      pastWeek: map.pick("pastWeek"),
      pastMonth: map.pick("pastMonth"),
      pastYear: map.pick("pastYear"),
      customTime: map.pick("customTime"),
      pushSuccess: map.pick("pushSuccess"),
      useCloudDriver: map.pick("useCloudDriver"),
      testPrinter: map.pick("testPrinter"),
      testingPrinter: map.pick("testingPrinter"),
      testSuccess: map.pick("testSuccess"),
      downloadedSuccessInstalledPrinter:
          map.pick("downloadedSuccessInstalledPrinter"),
      downloadedLogs: map.pick("downloadedLogs"),
      getLogsSuccess: map.pick("getLogsSuccess"),
      pushPackageSuccess: map.pick("pushPackageSuccess"),
      pushPackageFailed: map.pick("pushPackageFailed"),
      deviceCancelDownloading: map.pick("deviceCancelDownloading"),
      deviceLogsDownloadingFailed: map.pick("deviceLogsDownloadingFailed"),
      deviceLogsCancelFailed: map.pick("deviceLogsCancelFailed"),
      deviceActiveDisconnection: map.pick("deviceActiveDisconnection"),
      deviceTimeoutDisconnection: map.pick("deviceTimeoutDisconnection"),
      exitTuning: map.pick("exitTuning"),
      pagination: map.pick("pagination"),
      testFailed: map.pick("testFailed"),
      testSucceeded: map.pick("testSucceeded"),
      remoteControl: map.pick("remoteControl"),
      getLog: map.pick("getLog"),
      reboot: map.pick("reboot"),
      probeConnectionFailed: map.pick("probeConnectionFailed"),
      connecting: map.pick("connecting"),
      disconnecting: map.pick("disconnecting"),
      clientTimeout: map.pick("clientTimeout"),
      selectUpdatePackage: map.pick("selectUpdatePackage"),
      probeControlOff: map.pick("probeControlOff"),
      uploading: map.pick("uploading"),
      uploadSucceeded: map.pick("uploadSucceeded"),
      uploadFailed: map.pick("uploadFailed"),
      probeInfoEmpty: map.pick("probeInfoEmpty"),
      connectionFailed: map.pick("connectionFailed"),
      addApp: map.pick("addApp"),
      hideApp: map.pick("hideApp"),
      showApp: map.pick("showApp"),
      setDefault: map.pick("setDefault"),
      remark: map.pick("remark"),
      visibleApp: map.pick("visibleApp"),
      currentDefault: map.pick("currentDefault"),
      customApp: map.pick("customApp"),
      saveReminder: map.pick("saveReminder"),
      prompt: map.pick("prompt"),
      changeTip: map.pick("changeTip"),
      userDefined: map.pick("userDefined"),
      deleteConfirm: map.pick("deleteConfirm"),
      aiImage: map.pick("aiImage"),
      getUltrasoundLog: map.pick("getUltrasoundLog"),
      pushPackage: map.pick("pushPackage"),
      cancelDownloadInstallPackSuccess:
          map.pick("cancelDownloadInstallPackSuccess"),
      updatingPush: map.pick("updatingPush"),
      cancelDownloadLogSuccess: map.pick("cancelDownloadLogSuccess"),
      getLogSuccess: map.pick("getLogSuccess"),
      invalidLicenseCode: map.pick("invalidLicenseCode"),
      clearSuccess: map.pick("clearSuccess"),
      downloadLogSuccess: map.pick("downloadLogSuccess"),
      cancelSearch: map.pick("cancelSearch"),
      connectedStorage: map.pick("connectedStorage"),
      unsupported3D4DRemoteControl: map.pick("unsupported3D4DRemoteControl"),
      thisKeyUnavailable: map.pick("thisKeyUnavailable"),
      confirmLeaveDuringUpload: map.pick("confirmLeaveDuringUpload"),
      networkConnectionError: map.pick("networkConnectionError"),
      existDriverName: map.pick("existDriverName"),
      isOptionalFeatureEnabled: map.pick("isOptionalFeatureEnabled"),
      deviceDisconnected: map.pick("deviceDisconnected"),
      noSensorDetected: map.pick("noSensorDetected"),
    );
  }

  /// 更新推送
  final FTrStr updatePush;

  /// 请选择补丁包
  final FTrStr selectPatchPackage;

  /// 打印机驱动名称
  final FTrStr printerDriverName;

  /// 打印机品牌
  final FTrStr printerBrand;

  /// 适配系统版本
  final FTrStr adaptSystemVersion;

  /// 支持的打印机型号
  final FTrStr supportedPrinterModels;

  /// 大小
  final FTrStr size;

  /// 发布时间
  final FTrStr releaseTime;

  /// 更新包管理
  final FTrStr updateManagement;

  /// 打印机驱动管理
  final FTrStr printerDriverManagement;

  /// 本地打印机驱动文件
  final FTrStr localPrinterDriverFile;

  /// 选择文件过大
  final FTrStr fileTooLarge;

  /// 校验失败,请选择正确的打印驱动文件
  final FTrStr validationFailed;

  /// 校验失败
  final FTrStr verificationFailed;

  /// 适用系统
  final FTrStr applicableSystem;

  /// 适用软件
  final FTrStr applicableSoftware;

  /// 通用
  final FTrStr universal;

  /// {0}MB
  final FTrStr sizeMB;

  /// 序列号
  final FTrStr serialNumber;

  /// 型号
  final FTrStr model;

  /// 软件版本
  final FTrStr softwareVersion;

  /// 系统版本
  final FTrStr systemVersion;

  /// 添加版本号
  final FTrStr addVersionNumber;

  /// 请输入超声机软件版本号
  final FTrStr enterUltrasoundSoftwareVersion;

  /// 请输入超声机系统版本号
  final FTrStr enterUltrasoundSystemVersion;

  /// 请选择适配的版本
  final FTrStr selectAdaptedVersion;

  /// 上传成功，图像分析中
  final FTrStr uploadSuccess;

  /// 远程调参
  final FTrStr remoteParameterAdjustment;

  /// 探头
  final FTrStr probe;

  /// 应用
  final FTrStr application;

  /// 模式选择
  final FTrStr modeSelection;

  /// 参数调节
  final FTrStr parameterAdjustment;

  /// 添加打印机
  final FTrStr addPrinter;

  /// 搜索打印机
  final FTrStr searchPrinter;

  /// 打印机设置
  final FTrStr printerSettings;

  /// 上一步
  final FTrStr previousStep;

  /// 下一步
  final FTrStr nextStep;

  /// 已安装的打印机
  final FTrStr installedPrinters;

  /// 搜索可用打印机
  final FTrStr searchAvailablePrinters;

  /// 使用TCP/IP地址或者主机名添加打印机
  final FTrStr addPrinterUsingTcpIp;

  /// 请输入打印机主机名或IP地址
  final FTrStr enterPrinterHostnameOrIpAddress;

  /// 主机名或IP地址
  final FTrStr hostnameOrIpAddress;

  /// 端口名称
  final FTrStr portName;

  /// IP地址不正确，请重新输入
  final FTrStr invalidIpAddressPleaseEnterAgain;

  /// 打印机
  final FTrStr printer;

  /// 未安装云驱动
  final FTrStr cloudDriverNotInstalled;

  /// 推送驱动
  final FTrStr pushDriver;

  /// 纸张尺寸
  final FTrStr paperSize;

  /// 纸张方向
  final FTrStr paperOrientation;

  /// 搜索完成
  final FTrStr searchCompleted;

  /// 搜索完成，暂无可用的打印机
  final FTrStr searchCompletedNoPrintersAvailable;

  /// 推送失败
  final FTrStr pushFailed;

  /// 请选择打印机
  final FTrStr pleaseSelectPrinter;

  /// 系统设置
  final FTrStr systemSettings;

  /// 保存并退出
  final FTrStr saveAndExit;

  /// 测试
  final FTrStr test;

  /// 应用
  final FTrStr apply;

  /// 编辑更新包
  final FTrStr editUpdatePackage;

  /// 更新包名称
  final FTrStr updatePackageName;

  /// 适配设备
  final FTrStr adaptedDevices;

  /// 适配软件版本
  final FTrStr adaptedSoftwareVersions;

  /// 适配系统版本
  final FTrStr adaptedSystemVersions;

  /// 本地更新包文件
  final FTrStr localUpdatePackageFile;

  /// 请先上传文件
  final FTrStr pleaseUploadFileFirst;

  /// 文件上传中，请等待文件上传成功之后再提交
  final FTrStr fileUploading;

  /// 进度条
  final FTrStr progressBar;

  /// 选择时间范围
  final FTrStr selectTimeRange;

  /// 过去24小时内
  final FTrStr past24Hours;

  /// 过去1周内
  final FTrStr pastWeek;

  /// 过去1个月内
  final FTrStr pastMonth;

  /// 过去1年内
  final FTrStr pastYear;

  /// 自定义时间范围
  final FTrStr customTime;

  /// 推送成功
  final FTrStr pushSuccess;

  /// 使用云驱动
  final FTrStr useCloudDriver;

  /// 测试打印机
  final FTrStr testPrinter;

  /// 正在测试打印机中
  final FTrStr testingPrinter;

  /// 测试成功
  final FTrStr testSuccess;

  /// 下载驱动成功，安装打印机中
  final FTrStr downloadedSuccessInstalledPrinter;

  /// 下载日志
  final FTrStr downloadedLogs;

  /// 获取日志成功
  final FTrStr getLogsSuccess;

  /// 推送包成功
  final FTrStr pushPackageSuccess;

  /// 更新包推送失败
  final FTrStr pushPackageFailed;

  /// 设备端取消下载安装包
  final FTrStr deviceCancelDownloading;

  /// 设备端日志打包上传失败
  final FTrStr deviceLogsDownloadingFailed;

  /// 设备端取消日志打包上传
  final FTrStr deviceLogsCancelFailed;

  /// 设备端主动断开连接
  final FTrStr deviceActiveDisconnection;

  /// 设备端超时断开连接
  final FTrStr deviceTimeoutDisconnection;

  /// 退出调参
  final FTrStr exitTuning;

  /// 第{0}页，共{1}页
  final FTrStr pagination;

  /// {0} 测试失败
  final FTrStr testFailed;

  /// {0} 测试成功
  final FTrStr testSucceeded;

  /// 远程控制
  final FTrStr remoteControl;

  /// 获取日志
  final FTrStr getLog;

  /// 重启
  final FTrStr reboot;

  /// 超声机连接失败
  final FTrStr probeConnectionFailed;

  /// 正在连接中
  final FTrStr connecting;

  /// 正在断开中
  final FTrStr disconnecting;

  /// 客户端超时断开连接
  final FTrStr clientTimeout;

  /// 选择推送更新包
  final FTrStr selectUpdatePackage;

  /// 超声机未开启远程控制，请先开启远程控制
  final FTrStr probeControlOff;

  /// 上传中
  final FTrStr uploading;

  /// 上传成功
  final FTrStr uploadSucceeded;

  /// 上传失败
  final FTrStr uploadFailed;

  /// 超声机信息为空
  final FTrStr probeInfoEmpty;

  /// 连接失败
  final FTrStr connectionFailed;

  /// 新增应用
  final FTrStr addApp;

  /// 隐藏应用
  final FTrStr hideApp;

  /// 显示应用
  final FTrStr showApp;

  /// 设为默认
  final FTrStr setDefault;

  /// 备注
  final FTrStr remark;

  /// 触屏面板可见应用
  final FTrStr visibleApp;

  /// 当前默认应用
  final FTrStr currentDefault;

  /// 用户自定义应用
  final FTrStr customApp;

  /// 请先保存完，才能继续新增应用
  final FTrStr saveReminder;

  /// 提醒
  final FTrStr prompt;

  /// 切换探头所作修改都会丢失，是否切换？
  final FTrStr changeTip;

  /// 用户自定义
  final FTrStr userDefined;

  /// 确认删除选中应用？
  final FTrStr deleteConfirm;

  /// AI图像
  final FTrStr aiImage;

  /// 正在获取日志
  final FTrStr getUltrasoundLog;

  /// 正在推送更新包
  final FTrStr pushPackage;

  /// 取消下载安装包成功
  final FTrStr cancelDownloadInstallPackSuccess;

  /// 更新中...
  final FTrStr updatingPush;

  /// 取消下载日志成功
  final FTrStr cancelDownloadLogSuccess;

  /// 获取日志成功，正在下载日志
  final FTrStr getLogSuccess;

  /// 无效许可码或者不是当前机器的许可码，请联系生产厂家寻求支持
  final FTrStr invalidLicenseCode;

  /// 清除成功
  final FTrStr clearSuccess;

  /// 下载日志成功
  final FTrStr downloadLogSuccess;

  /// 取消搜索
  final FTrStr cancelSearch;

  /// 连接存储
  final FTrStr connectedStorage;

  /// 3D/4D暂不支持远程控制
  final FTrStr unsupported3D4DRemoteControl;

  /// 此键当前不可用
  final FTrStr thisKeyUnavailable;

  /// 上传更新包未结束，确定是否离开
  final FTrStr confirmLeaveDuringUpload;

  /// 网络连接异常
  final FTrStr networkConnectionError;

  /// 已存在相同驱动文件名
  final FTrStr existDriverName;

  /// 提示：只有一次试用机会。请输入许可码来开启可选功能试用，许可有效期为6个月
  final FTrStr isOptionalFeatureEnabled;

  /// 设备端断开连接
  final FTrStr deviceDisconnected;

  /// 暂无探头
  final FTrStr noSensorDetected;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
