import 'package:fis_i18n/types.dart';

/// 设置模块
class SettingModule extends ModuleBase {
  SettingModule._({
    required this.switchingLanguage,
    required this.FullfillServerUrl,
    required this.FullfillServerPort,
    required this.serverUrlFormatValidation,
    required this.serverPortFormatValidation,
    required this.serverUrlExistValidation,
    required this.serverUrlNotExistValidation,
    required this.serverUrlNotChangedValidation,
    required this.SelectOrAddServerUrl,
    required this.serverUrl,
    required this.serverPort,
    required this.serverUrlExample,
    required this.serverPortExample,
    required this.generalConfiguration,
    required this.detectionAssistant,
    required this.currency,
    required this.startUpAutomatically,
    required this.autoPopupLabel,
    required this.enableSecondWindow,
    required this.language,
    required this.networkSettings,
    required this.selectServer,
    required this.aboutFlyinsono,
    required this.productVersion,
    required this.runLog,
    required this.downloadMobileApp,
    required this.exportLog,
    required this.checkForUpdates,
    required this.feedback,
    required this.addServer,
    required this.automaticUpdate,
    required this.remindMeOfNewVersion,
    required this.automaticallyPopupTag,
    required this.secondWindowConfigStatement,
    required this.electronicSignature,
    required this.switchCurrentServerRestartClient,
    required this.currentVersion,
    required this.lastOneDay,
    required this.lastOneWeek,
    required this.lastOneMonth,
    required this.exportingLogs,
    required this.failedExportLog,
    required this.currentServerAddressInUse,
    required this.personalization,
    required this.myAssistant,
    required this.assistantPhysician,
    required this.chooseAssistant,
    required this.chooseAssistantTip,
    required this.chooseAssistantPhysician,
    required this.chooseAssistantPhysicianTip,
    required this.consultationSettings,
    required this.confirmDeletion,
    required this.deviceError,
    required this.deviceNormal,
    required this.searchingForDevice,
    required this.noAvailableDevice,
    required this.micInput,
    required this.speakerOutput,
    required this.cameraTest,
    required this.speakerTest,
    required this.micTest,
    required this.seeImage,
    required this.hearMusic,
    required this.seeVolumeBar,
    required this.camera,
    required this.mic,
    required this.speaker,
    required this.video,
    required this.audio,
    required this.detectAllDevices,
    required this.upgradeNow,
    required this.upgradeLater,
    required this.upgrading,
    required this.newVersion,
    required this.latestVersionTip,
    required this.vBoxSetting,
    required this.networkConnectionUtility,
    required this.configuration,
    required this.wiredNetworkConnection,
    required this.wirelessNetworkConnection,
    required this.refreshDNS,
    required this.properties,
    required this.connect,
    required this.disconnect,
    required this.forgetPassword,
    required this.enableDHCP,
    required this.ipAddress,
    required this.subnetMask,
    required this.defaultGateway,
    required this.preferredDNS,
    required this.standbyDNS,
    required this.macAddress,
    required this.speakerDetection,
    required this.cameraDetection,
    required this.microphoneDetection,
    required this.sonopostDetetion,
    required this.cameraTestSuccessTip,
    required this.cameraTestErrorTip,
    required this.fixCameraTip,
    required this.speakerTestSuccessTip,
    required this.speakerTestErrorTip,
    required this.fixSpeakerTip,
    required this.micphoneTestSuccessTip,
    required this.micphoneTestErrorTip,
    required this.fixMicphoneTip,
    required this.termianlTestTip,
    required this.skip,
    required this.nextTest,
    required this.recheck,
    required this.ultrasoundImageNotVisible,
    required this.ultrasoundImageIsVisible,
    required this.nothingInTerminalTip,
    required this.refreshDNSFailed,
    required this.wirelessNetworkCardNotFound,
    required this.confirmDNSRefresh,
    required this.connecting,
    required this.welcomeToFlyinsono,
    required this.welcomeTipOne,
    required this.welcomeTipTwo,
    required this.ultrasoundStatusNormal,
    required this.start,
    required this.switching,
    required this.switchingSecondWindowSuccess,
    required this.speakerVolume,
  });

  static const ModuleName = "setting";

  factory SettingModule(Map<String, dynamic> map) {
    return SettingModule._(
      switchingLanguage: map.pick("switchingLanguage"),
      FullfillServerUrl: map.pick("FullfillServerUrl"),
      FullfillServerPort: map.pick("FullfillServerPort"),
      serverUrlFormatValidation: map.pick("serverUrlFormatValidation"),
      serverPortFormatValidation: map.pick("serverPortFormatValidation"),
      serverUrlExistValidation: map.pick("serverUrlExistValidation"),
      serverUrlNotExistValidation: map.pick("serverUrlNotExistValidation"),
      serverUrlNotChangedValidation: map.pick("serverUrlNotChangedValidation"),
      SelectOrAddServerUrl: map.pick("SelectOrAddServerUrl"),
      serverUrl: map.pick("serverUrl"),
      serverPort: map.pick("serverPort"),
      serverUrlExample: map.pick("serverUrlExample"),
      serverPortExample: map.pick("serverPortExample"),
      generalConfiguration: map.pick("generalConfiguration"),
      detectionAssistant: map.pick("detectionAssistant"),
      currency: map.pick("currency"),
      startUpAutomatically: map.pick("startUpAutomatically"),
      autoPopupLabel: map.pick("autoPopupLabel"),
      enableSecondWindow: map.pick("enableSecondWindow"),
      language: map.pick("language"),
      networkSettings: map.pick("networkSettings"),
      selectServer: map.pick("selectServer"),
      aboutFlyinsono: map.pick("aboutFlyinsono"),
      productVersion: map.pick("productVersion"),
      runLog: map.pick("runLog"),
      downloadMobileApp: map.pick("downloadMobileApp"),
      exportLog: map.pick("exportLog"),
      checkForUpdates: map.pick("checkForUpdates"),
      feedback: map.pick("feedback"),
      addServer: map.pick("addServer"),
      automaticUpdate: map.pick("automaticUpdate"),
      remindMeOfNewVersion: map.pick("remindMeOfNewVersion"),
      automaticallyPopupTag: map.pick("automaticallyPopupTag"),
      secondWindowConfigStatement: map.pick("secondWindowConfigStatement"),
      electronicSignature: map.pick("electronicSignature"),
      switchCurrentServerRestartClient:
          map.pick("switchCurrentServerRestartClient"),
      currentVersion: map.pick("currentVersion"),
      lastOneDay: map.pick("lastOneDay"),
      lastOneWeek: map.pick("lastOneWeek"),
      lastOneMonth: map.pick("lastOneMonth"),
      exportingLogs: map.pick("exportingLogs"),
      failedExportLog: map.pick("failedExportLog"),
      currentServerAddressInUse: map.pick("currentServerAddressInUse"),
      personalization: map.pick("personalization"),
      myAssistant: map.pick("myAssistant"),
      assistantPhysician: map.pick("assistantPhysician"),
      chooseAssistant: map.pick("chooseAssistant"),
      chooseAssistantTip: map.pick("chooseAssistantTip"),
      chooseAssistantPhysician: map.pick("chooseAssistantPhysician"),
      chooseAssistantPhysicianTip: map.pick("chooseAssistantPhysicianTip"),
      consultationSettings: map.pick("consultationSettings"),
      confirmDeletion: map.pick("confirmDeletion"),
      deviceError: map.pick("deviceError"),
      deviceNormal: map.pick("deviceNormal"),
      searchingForDevice: map.pick("searchingForDevice"),
      noAvailableDevice: map.pick("noAvailableDevice"),
      micInput: map.pick("micInput"),
      speakerOutput: map.pick("speakerOutput"),
      cameraTest: map.pick("cameraTest"),
      speakerTest: map.pick("speakerTest"),
      micTest: map.pick("micTest"),
      seeImage: map.pick("seeImage"),
      hearMusic: map.pick("hearMusic"),
      seeVolumeBar: map.pick("seeVolumeBar"),
      camera: map.pick("camera"),
      mic: map.pick("mic"),
      speaker: map.pick("speaker"),
      video: map.pick("video"),
      audio: map.pick("audio"),
      detectAllDevices: map.pick("detectAllDevices"),
      upgradeNow: map.pick("upgradeNow"),
      upgradeLater: map.pick("upgradeLater"),
      upgrading: map.pick("upgrading"),
      newVersion: map.pick("newVersion"),
      latestVersionTip: map.pick("latestVersionTip"),
      vBoxSetting: map.pick("vBoxSetting"),
      networkConnectionUtility: map.pick("networkConnectionUtility"),
      configuration: map.pick("configuration"),
      wiredNetworkConnection: map.pick("wiredNetworkConnection"),
      wirelessNetworkConnection: map.pick("wirelessNetworkConnection"),
      refreshDNS: map.pick("refreshDNS"),
      properties: map.pick("properties"),
      connect: map.pick("connect"),
      disconnect: map.pick("disconnect"),
      forgetPassword: map.pick("forgetPassword"),
      enableDHCP: map.pick("enableDHCP"),
      ipAddress: map.pick("ipAddress"),
      subnetMask: map.pick("subnetMask"),
      defaultGateway: map.pick("defaultGateway"),
      preferredDNS: map.pick("preferredDNS"),
      standbyDNS: map.pick("standbyDNS"),
      macAddress: map.pick("macAddress"),
      speakerDetection: map.pick("speakerDetection"),
      cameraDetection: map.pick("cameraDetection"),
      microphoneDetection: map.pick("microphoneDetection"),
      sonopostDetetion: map.pick("sonopostDetetion"),
      cameraTestSuccessTip: map.pick("cameraTestSuccessTip"),
      cameraTestErrorTip: map.pick("cameraTestErrorTip"),
      fixCameraTip: map.pick("fixCameraTip"),
      speakerTestSuccessTip: map.pick("speakerTestSuccessTip"),
      speakerTestErrorTip: map.pick("speakerTestErrorTip"),
      fixSpeakerTip: map.pick("fixSpeakerTip"),
      micphoneTestSuccessTip: map.pick("micphoneTestSuccessTip"),
      micphoneTestErrorTip: map.pick("micphoneTestErrorTip"),
      fixMicphoneTip: map.pick("fixMicphoneTip"),
      termianlTestTip: map.pick("termianlTestTip"),
      skip: map.pick("skip"),
      nextTest: map.pick("nextTest"),
      recheck: map.pick("recheck"),
      ultrasoundImageNotVisible: map.pick("ultrasoundImageNotVisible"),
      ultrasoundImageIsVisible: map.pick("ultrasoundImageIsVisible"),
      nothingInTerminalTip: map.pick("nothingInTerminalTip"),
      refreshDNSFailed: map.pick("refreshDNSFailed"),
      wirelessNetworkCardNotFound: map.pick("wirelessNetworkCardNotFound"),
      confirmDNSRefresh: map.pick("confirmDNSRefresh"),
      connecting: map.pick("connecting"),
      welcomeToFlyinsono: map.pick("welcomeToFlyinsono"),
      welcomeTipOne: map.pick("welcomeTipOne"),
      welcomeTipTwo: map.pick("welcomeTipTwo"),
      ultrasoundStatusNormal: map.pick("ultrasoundStatusNormal"),
      start: map.pick("start"),
      switching: map.pick("switching"),
      switchingSecondWindowSuccess: map.pick("switchingSecondWindowSuccess"),
      speakerVolume: map.pick("speakerVolume"),
    );
  }

  /// 正在切换语言...
  final FTrStr switchingLanguage;

  /// 请填写服务地址
  final FTrStr FullfillServerUrl;

  /// 请填写端口
  final FTrStr FullfillServerPort;

  /// 请输入正确的服务器地址
  final FTrStr serverUrlFormatValidation;

  /// 无效的端口号（端口号范围 0-65535）
  final FTrStr serverPortFormatValidation;

  /// 此服务地址已存在
  final FTrStr serverUrlExistValidation;

  /// 服务器不存在
  final FTrStr serverUrlNotExistValidation;

  /// 服务器未进行任何更改
  final FTrStr serverUrlNotChangedValidation;

  /// 请选择或添加服务器地址
  final FTrStr SelectOrAddServerUrl;

  /// 地址：
  final FTrStr serverUrl;

  /// 端口：
  final FTrStr serverPort;

  /// 示例 127.0.0.1
  final FTrStr serverUrlExample;

  /// 示例 8080
  final FTrStr serverPortExample;

  /// 通用配置
  final FTrStr generalConfiguration;

  /// 检测助手
  final FTrStr detectionAssistant;

  /// 通用
  final FTrStr currency;

  /// 开机自启动
  final FTrStr startUpAutomatically;

  /// 报告标签弹框自动弹出
  final FTrStr autoPopupLabel;

  /// 是否启用第二窗口
  final FTrStr enableSecondWindow;

  /// 语言
  final FTrStr language;

  /// 网络设置
  final FTrStr networkSettings;

  /// 选择服务器
  final FTrStr selectServer;

  /// 关于杏聆荟
  final FTrStr aboutFlyinsono;

  /// 产品版本
  final FTrStr productVersion;

  /// 运行日志
  final FTrStr runLog;

  /// 下载移动端
  final FTrStr downloadMobileApp;

  /// 导出日志
  final FTrStr exportLog;

  /// 检查更新
  final FTrStr checkForUpdates;

  /// 意见反馈
  final FTrStr feedback;

  /// 添加服务器
  final FTrStr addServer;

  /// 自动更新
  final FTrStr automaticUpdate;

  /// 有新版本提醒我
  final FTrStr remindMeOfNewVersion;

  /// 若开启，则提交报告时自动弹出添加标签弹窗
  final FTrStr automaticallyPopupTag;

  /// 具有录制功能的界面，始终保持第二窗口打开
  final FTrStr secondWindowConfigStatement;

  /// 电子签名
  final FTrStr electronicSignature;

  /// 切换当前服务器需要重启客户端，是否切换？
  final FTrStr switchCurrentServerRestartClient;

  /// 当前版本
  final FTrStr currentVersion;

  /// 最近一天
  final FTrStr lastOneDay;

  /// 最近一周
  final FTrStr lastOneWeek;

  /// 最近一个月
  final FTrStr lastOneMonth;

  /// 正在导出日志
  final FTrStr exportingLogs;

  /// 导出日志失败
  final FTrStr failedExportLog;

  /// 当前服务器地址正在使用，请更换服务器地址后再删除
  final FTrStr currentServerAddressInUse;

  /// 个性化设置
  final FTrStr personalization;

  /// 我的助理:
  final FTrStr myAssistant;

  /// 助理医师:
  final FTrStr assistantPhysician;

  /// 请选择要添加的助理
  final FTrStr chooseAssistant;

  /// 助理可在会诊前协助专家或医师分诊、会诊后协助专家或医师梳理患者资料导出数据
  final FTrStr chooseAssistantTip;

  /// 请选择要添加的助理医师
  final FTrStr chooseAssistantPhysician;

  /// 助理医师是具备诊断资质的医师，可全程参与会诊，协助专家或医师撰写报告
  final FTrStr chooseAssistantPhysicianTip;

  /// 会诊设置
  final FTrStr consultationSettings;

  /// 确认删除?
  final FTrStr confirmDeletion;

  /// 该设备异常
  final FTrStr deviceError;

  /// 该设备正常
  final FTrStr deviceNormal;

  /// 正在查找可用的设备
  final FTrStr searchingForDevice;

  /// 未能找到可用的设备
  final FTrStr noAvailableDevice;

  /// 麦克风输入：
  final FTrStr micInput;

  /// 扬声器输出：
  final FTrStr speakerOutput;

  /// 检测摄像头
  final FTrStr cameraTest;

  /// 检测扬声器
  final FTrStr speakerTest;

  /// 检测麦克风
  final FTrStr micTest;

  /// 是否能看到画面？
  final FTrStr seeImage;

  /// 是否能听到音乐？
  final FTrStr hearMusic;

  /// 是否能看到音量条变化？
  final FTrStr seeVolumeBar;

  /// 摄像头
  final FTrStr camera;

  /// 麦克风
  final FTrStr mic;

  /// 扬声器
  final FTrStr speaker;

  /// 视频
  final FTrStr video;

  /// 音频
  final FTrStr audio;

  /// 检测所有设备
  final FTrStr detectAllDevices;

  /// 现在升级
  final FTrStr upgradeNow;

  /// 以后再说
  final FTrStr upgradeLater;

  /// 正在更新中...
  final FTrStr upgrading;

  /// 新版本
  final FTrStr newVersion;

  /// 当前软件为最新版本
  final FTrStr latestVersionTip;

  /// 超声机设置
  final FTrStr vBoxSetting;

  /// 网络连接工具
  final FTrStr networkConnectionUtility;

  /// 配置
  final FTrStr configuration;

  /// 有线网络连接
  final FTrStr wiredNetworkConnection;

  /// 无线网络连接
  final FTrStr wirelessNetworkConnection;

  /// 刷新DNS
  final FTrStr refreshDNS;

  /// 属性
  final FTrStr properties;

  /// 连接
  final FTrStr connect;

  /// 断开连接
  final FTrStr disconnect;

  /// 忘记密码
  final FTrStr forgetPassword;

  /// 启用DHCP
  final FTrStr enableDHCP;

  /// IP地址
  final FTrStr ipAddress;

  /// 子网掩码
  final FTrStr subnetMask;

  /// 默认网关
  final FTrStr defaultGateway;

  /// 首选DNS
  final FTrStr preferredDNS;

  /// 备用DNS
  final FTrStr standbyDNS;

  /// 物理地址
  final FTrStr macAddress;

  /// 扬声器检测
  final FTrStr speakerDetection;

  /// 摄像头检测
  final FTrStr cameraDetection;

  /// 麦克风检测
  final FTrStr microphoneDetection;

  /// 超声机检测
  final FTrStr sonopostDetetion;

  /// 摄像头状态正常
  final FTrStr cameraTestSuccessTip;

  /// 摄像头状态异常
  final FTrStr cameraTestErrorTip;

  /// 请重新插拔摄像头，或换个设备
  final FTrStr fixCameraTip;

  /// 扬声器状态正常
  final FTrStr speakerTestSuccessTip;

  /// 扬声器状态异常
  final FTrStr speakerTestErrorTip;

  /// 请重新插拔扬声器，或换个设备
  final FTrStr fixSpeakerTip;

  /// 麦克风状态正常
  final FTrStr micphoneTestSuccessTip;

  /// 麦克风状态异常
  final FTrStr micphoneTestErrorTip;

  /// 请重新插拔麦克风，或换个设备
  final FTrStr fixMicphoneTip;

  /// 左侧画面即为会诊时看到的超声画面，请确认是否成功看到画面。
  final FTrStr termianlTestTip;

  /// 跳过
  final FTrStr skip;

  /// 请点击下一步进行其他测试
  final FTrStr nextTest;

  /// 重新检测
  final FTrStr recheck;

  /// 未看到超声画面
  final FTrStr ultrasoundImageNotVisible;

  /// 可以看到超声画面
  final FTrStr ultrasoundImageIsVisible;

  /// 请插拔如下图所示的超声机接口
  final FTrStr nothingInTerminalTip;

  /// 刷新DNS失败
  final FTrStr refreshDNSFailed;

  /// 未找到无线网卡
  final FTrStr wirelessNetworkCardNotFound;

  /// 刷新DNS之后设备会自动重启，是否确定？
  final FTrStr confirmDNSRefresh;

  /// 已连接
  final FTrStr connecting;

  /// 欢迎使用远程超声系统软件！
  final FTrStr welcomeToFlyinsono;

  /// 为了保障远程实时会诊顺利进行，强烈建议按照本向导的步骤对会诊中需要的各项设备进行测试。
  final FTrStr welcomeTipOne;

  /// 如确认设备没有问题，则可选择'跳过'直接进入软件主界面。
  final FTrStr welcomeTipTwo;

  /// 超声直播状态正常,检测已完成。
  final FTrStr ultrasoundStatusNormal;

  /// 开始
  final FTrStr start;

  /// 正在开启...
  final FTrStr switching;

  /// 第二窗口开启成功
  final FTrStr switchingSecondWindowSuccess;

  /// 扬声器音量
  final FTrStr speakerVolume;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
