import 'package:fis_i18n/types.dart';

/// 上传模块
class UploadModule extends ModuleBase {
  UploadModule._({
    required this.editAvatar,
    required this.uploadImage,
    required this.takePhoto,
    required this.selectFromAlbum,
    required this.selectAgain,
    required this.selectCorrectImageFileType,
    required this.uploadFailedUnsupportedFileType,
  });

  static const ModuleName = "upload";

  factory UploadModule(Map<String, dynamic> map) {
    return UploadModule._(
      editAvatar: map.pick("editAvatar"),
      uploadImage: map.pick("uploadImage"),
      takePhoto: map.pick("takePhoto"),
      selectFromAlbum: map.pick("selectFromAlbum"),
      selectAgain: map.pick("selectAgain"),
      selectCorrectImageFileType: map.pick("selectCorrectImageFileType"),
      uploadFailedUnsupportedFileType:
          map.pick("uploadFailedUnsupportedFileType"),
    );
  }

  /// 修改头像
  final FTrStr editAvatar;

  /// 上传图片
  final FTrStr uploadImage;

  /// 拍照
  final FTrStr takePhoto;

  /// 从相册选择
  final FTrStr selectFromAlbum;

  /// 重新选择
  final FTrStr selectAgain;

  /// 请选择正确的图片文件
  final FTrStr selectCorrectImageFileType;

  /// 上传失败，存在不支持的文件类型，请重新选择
  final FTrStr uploadFailedUnsupportedFileType;

  @override
  getProp(String propName) {
    // TODO: implement getProp
    throw UnimplementedError();
  }
}
