# 基于 Chat-GPT 的新增语言工作流

## 将 json 转为 markdown 表格

- 当前目录下运行

```py
python ./tools/add_new_language/JSON2MD.md
```

- 此脚本会将所有翻译模块输出为 markdown 表格，输出到当前目录下的 `md-outputs` 文件夹内

## 将 markdown 表格发送给 Chat-GPT 进行翻译优化

- 当前目录下运行

```py
python ./tools/add_new_language/chat_gpt_process.md
```

- 此脚本会将 `md-outputs` 文件夹内的所有 markdown 表格发送给 Chat-GPT 进行翻译优化，优化结果会输出到当前目录下的 `gpt-outputs` 文件夹内
- 全部运行一遍用时 > 40min，可以删除部分不需要优化的文件来节省时间
- ❗ 注意：运行前需要设置环境变量 `OPENAI_API_KEY` 否则无权调用  
- ❗ 运行该脚本前可以针对不同需求修改 `prompt.md` 内提示词以获得更优质结果
- ❗ 如果需要变更模型直接修改 `chat_gpt_process.md` 内的 `model` 变量即可（当前默认 gpt-3.5-turbo）
- macOS 读写环境变量

```bash
export OPENAI_API_KEY=value
echo $OPENAI_API_KEY
```

## 应用 Chat-GPT 优化后的翻译结果

- 当前目录下运行

```py
python ./tools/add_new_language/apply_gpt_outputs.md
```

- 此脚本会将 `gpt-outputs` 文件夹内的所有优化结果应用到 `assets` 文件夹内的 json 文件中
- 进入 Git 的差异对比可以人工择优接受修改

## 简单来说就是运行三行命令（环境配置完备的前提下）

```bsah
python ./tools/add_new_language/JSON2MD.md
python ./tools/add_new_language/chat_gpt_process.md
python ./tools/add_new_language/apply_gpt_outputs.md
```
